/// <reference types="node" />
import { IncomingHttpHeaders } from "http";
import { ApiError } from "../typings/apiError";
interface ExceptionInterface {
    message: string;
    statusCode?: number;
    errorCode?: string;
    responseHeaders?: IncomingHttpHeaders;
    responseBody?: string;
    apiError?: ApiError;
}
declare class HttpClientException extends Error {
    statusCode: number;
    errorCode?: string;
    responseHeaders?: IncomingHttpHeaders;
    readonly name: string;
    responseBody?: string;
    apiError?: ApiError;
    constructor(props: ExceptionInterface);
}
export default HttpClientException;
