import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { BalanceTransferRequest } from "../../typings/balanceControl/models";
import { BalanceTransferResponse } from "../../typings/balanceControl/models";
/**
 * API handler for BalanceControlApi
 */
export declare class BalanceControlApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Start a balance transfer
    * @param balanceTransferRequest {@link BalanceTransferRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link BalanceTransferResponse }
    *
    * @deprecated since Adyen Balance Control API v1
    */
    balanceTransfer(balanceTransferRequest: BalanceTransferRequest, requestOptions?: IRequest.Options): Promise<BalanceTransferResponse>;
}
