import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { AuthorisedCardUsers } from "../../typings/balancePlatform/models";
/**
 * API handler for AuthorizedCardUsersApi
 */
export declare class AuthorizedCardUsersApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Create authorized users for a card.
    * @param paymentInstrumentId {@link string }
    * @param authorisedCardUsers {@link AuthorisedCardUsers }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    createAuthorisedCardUsers(paymentInstrumentId: string, authorisedCardUsers: AuthorisedCardUsers, requestOptions?: IRequest.Options): Promise<void>;
    /**
    * @summary Delete the authorized users for a card.
    * @param paymentInstrumentId {@link string }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    deleteAuthorisedCardUsers(paymentInstrumentId: string, requestOptions?: IRequest.Options): Promise<void>;
    /**
    * @summary Get authorized users for a card.
    * @param paymentInstrumentId {@link string }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link AuthorisedCardUsers }
    */
    getAllAuthorisedCardUsers(paymentInstrumentId: string, requestOptions?: IRequest.Options): Promise<AuthorisedCardUsers>;
    /**
    * @summary Update the authorized users for a card.
    * @param paymentInstrumentId {@link string }
    * @param authorisedCardUsers {@link AuthorisedCardUsers }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    updateAuthorisedCardUsers(paymentInstrumentId: string, authorisedCardUsers: AuthorisedCardUsers, requestOptions?: IRequest.Options): Promise<void>;
}
