import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { BankAccountIdentificationValidationRequest } from "../../typings/balancePlatform/models";
/**
 * API handler for BankAccountValidationApi
 */
export declare class BankAccountValidationApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Validate a bank account
    * @param bankAccountIdentificationValidationRequest {@link BankAccountIdentificationValidationRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    validateBankAccountIdentification(bankAccountIdentificationValidationRequest: BankAccountIdentificationValidationRequest, requestOptions?: IRequest.Options): Promise<void>;
}
