import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { GetNetworkTokenResponse } from "../../typings/balancePlatform/models";
import { UpdateNetworkTokenRequest } from "../../typings/balancePlatform/models";
/**
 * API handler for NetworkTokensApi
 */
export declare class NetworkTokensApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Get a network token
    * @param networkTokenId {@link string } The unique identifier of the network token.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link GetNetworkTokenResponse }
    */
    getNetworkToken(networkTokenId: string, requestOptions?: IRequest.Options): Promise<GetNetworkTokenResponse>;
    /**
    * @summary Update a network token
    * @param networkTokenId {@link string } The unique identifier of the network token.
    * @param updateNetworkTokenRequest {@link UpdateNetworkTokenRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    updateNetworkToken(networkTokenId: string, updateNetworkTokenRequest: UpdateNetworkTokenRequest, requestOptions?: IRequest.Options): Promise<void>;
}
