import Client from "../client";
import Service from "../service";
import { CostEstimateRequest } from "../typings/binLookup/models";
import { CostEstimateResponse } from "../typings/binLookup/models";
import { ThreeDSAvailabilityRequest } from "../typings/binLookup/models";
import { ThreeDSAvailabilityResponse } from "../typings/binLookup/models";
import { IRequest } from "../typings/requestOptions";
/**
 * The service has been moved to a different package 'binLookup'
 * @deprecated Use services/binLookup/binLookupAPI
 */
export declare class BinLookupAPI extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @deprecated Use services/binLookup/BinLookupAPI
    *
    * @summary Check if 3D Secure is available
    * @param threeDSAvailabilityRequest {@link ThreeDSAvailabilityRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ThreeDSAvailabilityResponse }
    */
    get3dsAvailability(threeDSAvailabilityRequest: ThreeDSAvailabilityRequest, requestOptions?: IRequest.Options): Promise<ThreeDSAvailabilityResponse>;
    /**
    * @deprecated Use services/binLookup/BinLookupAPI
    *
    * @summary Get a fees cost estimate
    * @param costEstimateRequest {@link CostEstimateRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link CostEstimateResponse }
    */
    getCostEstimate(costEstimateRequest: CostEstimateRequest, requestOptions?: IRequest.Options): Promise<CostEstimateResponse>;
}
export default BinLookupAPI;
