"use strict";
/*
 * The version of the OpenAPI document: v71
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit this class manually.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrdersApi = void 0;
const getJsonResponse_1 = __importDefault(require("../../helpers/getJsonResponse"));
const service_1 = __importDefault(require("../../service"));
const resource_1 = __importDefault(require("../resource"));
const objectSerializer_1 = require("../../typings/checkout/objectSerializer");
/**
 * API handler for OrdersApi
 */
class OrdersApi extends service_1.default {
    constructor(client) {
        super(client);
        this.API_BASEPATH = "https://checkout-test.adyen.com/v71";
        this.baseUrl = this.createBaseUrl(this.API_BASEPATH);
    }
    /**
    * @summary Cancel an order
    * @param cancelOrderRequest {@link CancelOrderRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link CancelOrderResponse }
    */
    async cancelOrder(cancelOrderRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/orders/cancel`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(cancelOrderRequest, "CancelOrderRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "CancelOrderResponse");
    }
    /**
    * @summary Get the balance of a gift card
    * @param balanceCheckRequest {@link BalanceCheckRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link BalanceCheckResponse }
    */
    async getBalanceOfGiftCard(balanceCheckRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/paymentMethods/balance`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(balanceCheckRequest, "BalanceCheckRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "BalanceCheckResponse");
    }
    /**
    * @summary Create an order
    * @param createOrderRequest {@link CreateOrderRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link CreateOrderResponse }
    */
    async orders(createOrderRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/orders`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(createOrderRequest, "CreateOrderRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "CreateOrderResponse");
    }
}
exports.OrdersApi = OrdersApi;
//# sourceMappingURL=ordersApi.js.map