import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { ApplePaySessionRequest } from "../../typings/checkout/models";
import { ApplePaySessionResponse } from "../../typings/checkout/models";
import { PaypalUpdateOrderRequest } from "../../typings/checkout/models";
import { PaypalUpdateOrderResponse } from "../../typings/checkout/models";
import { UtilityRequest } from "../../typings/checkout/models";
import { UtilityResponse } from "../../typings/checkout/models";
/**
 * API handler for UtilityApi
 */
export declare class UtilityApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Get an Apple Pay session
    * @param applePaySessionRequest {@link ApplePaySessionRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ApplePaySessionResponse }
    */
    getApplePaySession(applePaySessionRequest: ApplePaySessionRequest, requestOptions?: IRequest.Options): Promise<ApplePaySessionResponse>;
    /**
    * @summary Create originKey values for domains
    * @param utilityRequest {@link UtilityRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link UtilityResponse }
    *
    * @deprecated since Adyen Checkout API v67
    */
    originKeys(utilityRequest: UtilityRequest, requestOptions?: IRequest.Options): Promise<UtilityResponse>;
    /**
    * @summary Updates the order for PayPal Express Checkout
    * @param paypalUpdateOrderRequest {@link PaypalUpdateOrderRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link PaypalUpdateOrderResponse }
    */
    updatesOrderForPaypalExpressCheckout(paypalUpdateOrderRequest: PaypalUpdateOrderRequest, requestOptions?: IRequest.Options): Promise<PaypalUpdateOrderResponse>;
}
