"use strict";
/*
 * The version of the OpenAPI document: v71
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit this class manually.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilityApi = void 0;
const getJsonResponse_1 = __importDefault(require("../../helpers/getJsonResponse"));
const service_1 = __importDefault(require("../../service"));
const resource_1 = __importDefault(require("../resource"));
const objectSerializer_1 = require("../../typings/checkout/objectSerializer");
/**
 * API handler for UtilityApi
 */
class UtilityApi extends service_1.default {
    constructor(client) {
        super(client);
        this.API_BASEPATH = "https://checkout-test.adyen.com/v71";
        this.baseUrl = this.createBaseUrl(this.API_BASEPATH);
    }
    /**
    * @summary Get an Apple Pay session
    * @param applePaySessionRequest {@link ApplePaySessionRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ApplePaySessionResponse }
    */
    async getApplePaySession(applePaySessionRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/applePay/sessions`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(applePaySessionRequest, "ApplePaySessionRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "ApplePaySessionResponse");
    }
    /**
    * @summary Create originKey values for domains
    * @param utilityRequest {@link UtilityRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link UtilityResponse }
    *
    * @deprecated since Adyen Checkout API v67
    */
    async originKeys(utilityRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/originKeys`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(utilityRequest, "UtilityRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "UtilityResponse");
    }
    /**
    * @summary Updates the order for PayPal Express Checkout
    * @param paypalUpdateOrderRequest {@link PaypalUpdateOrderRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link PaypalUpdateOrderResponse }
    */
    async updatesOrderForPaypalExpressCheckout(paypalUpdateOrderRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/paypal/updateOrder`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(paypalUpdateOrderRequest, "PaypalUpdateOrderRequest");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "PaypalUpdateOrderResponse");
    }
}
exports.UtilityApi = UtilityApi;
//# sourceMappingURL=utilityApi.js.map