import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { SubjectErasureByPspReferenceRequest } from "../../typings/dataProtection/models";
import { SubjectErasureResponse } from "../../typings/dataProtection/models";
/**
 * API handler for DataProtectionApi
 */
export declare class DataProtectionApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Submit a Subject Erasure Request.
    * @param subjectErasureByPspReferenceRequest {@link SubjectErasureByPspReferenceRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link SubjectErasureResponse }
    */
    requestSubjectErasure(subjectErasureByPspReferenceRequest: SubjectErasureByPspReferenceRequest, requestOptions?: IRequest.Options): Promise<SubjectErasureResponse>;
}
