import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { BusinessLine } from "../../typings/legalEntityManagement/models";
import { BusinessLineInfo } from "../../typings/legalEntityManagement/models";
import { BusinessLineInfoUpdate } from "../../typings/legalEntityManagement/models";
/**
 * API handler for BusinessLinesApi
 */
export declare class BusinessLinesApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Create a business line
    * @param businessLineInfo {@link BusinessLineInfo }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link BusinessLine }
    */
    createBusinessLine(businessLineInfo: BusinessLineInfo, requestOptions?: IRequest.Options): Promise<BusinessLine>;
    /**
    * @summary Delete a business line
    * @param id {@link string } The unique identifier of the business line to be deleted.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    deleteBusinessLine(id: string, requestOptions?: IRequest.Options): Promise<void>;
    /**
    * @summary Get a business line
    * @param id {@link string } The unique identifier of the business line.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link BusinessLine }
    */
    getBusinessLine(id: string, requestOptions?: IRequest.Options): Promise<BusinessLine>;
    /**
    * @summary Update a business line
    * @param id {@link string } The unique identifier of the business line.
    * @param businessLineInfoUpdate {@link BusinessLineInfoUpdate }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link BusinessLine }
    */
    updateBusinessLine(id: string, businessLineInfoUpdate: BusinessLineInfoUpdate, requestOptions?: IRequest.Options): Promise<BusinessLine>;
}
