"use strict";
/*
 * The version of the OpenAPI document: v3
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit this class manually.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentsApi = void 0;
const getJsonResponse_1 = __importDefault(require("../../helpers/getJsonResponse"));
const service_1 = __importDefault(require("../../service"));
const resource_1 = __importDefault(require("../resource"));
const objectSerializer_1 = require("../../typings/legalEntityManagement/objectSerializer");
/**
 * API handler for DocumentsApi
 */
class DocumentsApi extends service_1.default {
    constructor(client) {
        super(client);
        this.API_BASEPATH = "https://kyc-test.adyen.com/lem/v3";
        this.baseUrl = this.createBaseUrl(this.API_BASEPATH);
    }
    /**
    * @summary Delete a document
    * @param id {@link string } The unique identifier of the document to be deleted.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    async deleteDocument(id, requestOptions) {
        const endpoint = `${this.baseUrl}/documents/{id}`
            .replace("{" + "id" + "}", encodeURIComponent(String(id)));
        const resource = new resource_1.default(this, endpoint);
        await (0, getJsonResponse_1.default)(resource, "", { ...requestOptions, method: "DELETE" });
    }
    /**
    * @summary Get a document
    * @param id {@link string } The unique identifier of the document.
    * @param requestOptions {@link IRequest.Options }
    * @param skipContent {@link boolean } Do not load document content while fetching the document.
    * @return {@link Document }
    */
    async getDocument(id, skipContent, requestOptions) {
        const endpoint = `${this.baseUrl}/documents/{id}`
            .replace("{" + "id" + "}", encodeURIComponent(String(id)));
        const resource = new resource_1.default(this, endpoint);
        const hasDefinedQueryParams = skipContent;
        if (hasDefinedQueryParams) {
            if (!requestOptions)
                requestOptions = {};
            if (!requestOptions.params)
                requestOptions.params = {};
            if (skipContent)
                requestOptions.params["skipContent"] = skipContent;
        }
        const response = await (0, getJsonResponse_1.default)(resource, "", { ...requestOptions, method: "GET" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "Document");
    }
    /**
    * @summary Update a document
    * @param id {@link string } The unique identifier of the document to be updated.
    * @param document {@link Document }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link Document }
    */
    async updateDocument(id, document, requestOptions) {
        const endpoint = `${this.baseUrl}/documents/{id}`
            .replace("{" + "id" + "}", encodeURIComponent(String(id)));
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(document, "Document");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "PATCH" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "Document");
    }
    /**
    * @summary Upload a document for verification checks
    * @param document {@link Document }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link Document }
    */
    async uploadDocumentForVerificationChecks(document, requestOptions) {
        const endpoint = `${this.baseUrl}/documents`;
        const resource = new resource_1.default(this, endpoint);
        const request = objectSerializer_1.ObjectSerializer.serialize(document, "Document");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return objectSerializer_1.ObjectSerializer.deserialize(response, "Document");
    }
}
exports.DocumentsApi = DocumentsApi;
//# sourceMappingURL=documentsApi.js.map