import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { TransferInstrument } from "../../typings/legalEntityManagement/models";
import { TransferInstrumentInfo } from "../../typings/legalEntityManagement/models";
/**
 * API handler for TransferInstrumentsApi
 */
export declare class TransferInstrumentsApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Create a transfer instrument
    * @param transferInstrumentInfo {@link TransferInstrumentInfo }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link TransferInstrument }
    */
    createTransferInstrument(transferInstrumentInfo: TransferInstrumentInfo, requestOptions?: IRequest.Options): Promise<TransferInstrument>;
    /**
    * @summary Delete a transfer instrument
    * @param id {@link string } The unique identifier of the transfer instrument to be deleted.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link void }
    */
    deleteTransferInstrument(id: string, requestOptions?: IRequest.Options): Promise<void>;
    /**
    * @summary Get a transfer instrument
    * @param id {@link string } The unique identifier of the transfer instrument.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link TransferInstrument }
    */
    getTransferInstrument(id: string, requestOptions?: IRequest.Options): Promise<TransferInstrument>;
    /**
    * @summary Update a transfer instrument
    * @param id {@link string } The unique identifier of the transfer instrument.
    * @param transferInstrumentInfo {@link TransferInstrumentInfo }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link TransferInstrument }
    */
    updateTransferInstrument(id: string, transferInstrumentInfo: TransferInstrumentInfo, requestOptions?: IRequest.Options): Promise<TransferInstrument>;
}
