import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { GenerateApiKeyResponse } from "../../typings/management/models";
/**
 * API handler for APIKeyCompanyLevelApi
 */
export declare class APIKeyCompanyLevelApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Generate new API key
    * @param companyId {@link string } The unique identifier of the company account.
    * @param apiCredentialId {@link string } Unique identifier of the API credential.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link GenerateApiKeyResponse }
    */
    generateNewApiKey(companyId: string, apiCredentialId: string, requestOptions?: IRequest.Options): Promise<GenerateApiKeyResponse>;
}
