import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { GenerateClientKeyResponse } from "../../typings/management/models";
/**
 * API handler for ClientKeyMerchantLevelApi
 */
export declare class ClientKeyMerchantLevelApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Generate new client key
    * @param merchantId {@link string } The unique identifier of the merchant account.
    * @param apiCredentialId {@link string } Unique identifier of the API credential.
    * @param requestOptions {@link IRequest.Options }
    * @return {@link GenerateClientKeyResponse }
    */
    generateNewClientKey(merchantId: string, apiCredentialId: string, requestOptions?: IRequest.Options): Promise<GenerateClientKeyResponse>;
}
