import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { StoreDetailAndSubmitRequest } from "../../typings/payout/models";
import { StoreDetailAndSubmitResponse } from "../../typings/payout/models";
import { StoreDetailRequest } from "../../typings/payout/models";
import { StoreDetailResponse } from "../../typings/payout/models";
import { SubmitRequest } from "../../typings/payout/models";
import { SubmitResponse } from "../../typings/payout/models";
/**
 * API handler for InitializationApi
 */
export declare class InitializationApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Store payout details
    * @param storeDetailRequest {@link StoreDetailRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link StoreDetailResponse }
    */
    storeDetail(storeDetailRequest: StoreDetailRequest, requestOptions?: IRequest.Options): Promise<StoreDetailResponse>;
    /**
    * @summary Store details and submit a payout
    * @param storeDetailAndSubmitRequest {@link StoreDetailAndSubmitRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link StoreDetailAndSubmitResponse }
    */
    storeDetailAndSubmitThirdParty(storeDetailAndSubmitRequest: StoreDetailAndSubmitRequest, requestOptions?: IRequest.Options): Promise<StoreDetailAndSubmitResponse>;
    /**
    * @summary Submit a payout
    * @param submitRequest {@link SubmitRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link SubmitResponse }
    */
    submitThirdParty(submitRequest: SubmitRequest, requestOptions?: IRequest.Options): Promise<SubmitResponse>;
}
