import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { ModifyRequest } from "../../typings/payout/models";
import { ModifyResponse } from "../../typings/payout/models";
/**
 * API handler for ReviewingApi
 */
export declare class ReviewingApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Confirm a payout
    * @param modifyRequest {@link ModifyRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ModifyResponse }
    */
    confirmThirdParty(modifyRequest: ModifyRequest, requestOptions?: IRequest.Options): Promise<ModifyResponse>;
    /**
    * @summary Cancel a payout
    * @param modifyRequest {@link ModifyRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ModifyResponse }
    */
    declineThirdParty(modifyRequest: ModifyRequest, requestOptions?: IRequest.Options): Promise<ModifyResponse>;
}
