import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { CreateSessionRequest } from "../../typings/posMobile/models";
import { CreateSessionResponse } from "../../typings/posMobile/models";
/**
 * API handler for PosMobileApi
 */
export declare class PosMobileApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Create a communication session
    * @param createSessionRequest {@link CreateSessionRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link CreateSessionResponse }
    */
    createCommunicationSession(createSessionRequest: CreateSessionRequest, requestOptions?: IRequest.Options): Promise<CreateSessionResponse>;
}
