"use strict";
/*
 * The version of the OpenAPI document: v68
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit this class manually.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecurringAPI = void 0;
const getJsonResponse_1 = __importDefault(require("../helpers/getJsonResponse"));
const service_1 = __importDefault(require("../service"));
const resource_1 = __importDefault(require("./resource"));
const models_1 = require("../typings/recurring/models");
/**
 * The service has been moved to a different package 'recurring'
 * @deprecated Use services/recurring/RecurringApi
 */
class RecurringAPI extends service_1.default {
    constructor(client) {
        super(client);
        this.API_BASEPATH = "https://pal-test.adyen.com/pal/servlet/Recurring/v68";
        this.baseUrl = this.createBaseUrl(this.API_BASEPATH);
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Create new permits linked to a recurring contract.
    * @param createPermitRequest {@link CreatePermitRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link CreatePermitResult }
    */
    async createPermit(createPermitRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/createPermit`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(createPermitRequest, "CreatePermitRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "CreatePermitResult", "");
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Disable stored payment details
    * @param disableRequest {@link DisableRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link DisableResult }
    */
    async disable(disableRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/disable`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(disableRequest, "DisableRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "DisableResult", "");
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Disable an existing permit.
    * @param disablePermitRequest {@link DisablePermitRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link DisablePermitResult }
    */
    async disablePermit(disablePermitRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/disablePermit`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(disablePermitRequest, "DisablePermitRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "DisablePermitResult", "");
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Get stored payment details
    * @param recurringDetailsRequest {@link RecurringDetailsRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link RecurringDetailsResult }
    */
    async listRecurringDetails(recurringDetailsRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/listRecurringDetails`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(recurringDetailsRequest, "RecurringDetailsRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "RecurringDetailsResult", "");
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Ask issuer to notify the shopper
    * @param notifyShopperRequest {@link NotifyShopperRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link NotifyShopperResult }
    */
    async notifyShopper(notifyShopperRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/notifyShopper`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(notifyShopperRequest, "NotifyShopperRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "NotifyShopperResult", "");
    }
    /**
    * @deprecated Use services/recurring/RecurringApi
    *
    * @summary Schedule running the Account Updater
    * @param scheduleAccountUpdaterRequest {@link ScheduleAccountUpdaterRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link ScheduleAccountUpdaterResult }
    */
    async scheduleAccountUpdater(scheduleAccountUpdaterRequest, requestOptions) {
        const endpoint = `${this.baseUrl}/scheduleAccountUpdater`;
        const resource = new resource_1.default(this, endpoint);
        const request = models_1.ObjectSerializer.serialize(scheduleAccountUpdaterRequest, "ScheduleAccountUpdaterRequest", "");
        const response = await (0, getJsonResponse_1.default)(resource, request, { ...requestOptions, method: "POST" });
        return models_1.ObjectSerializer.deserialize(response, "ScheduleAccountUpdaterResult", "");
    }
}
exports.RecurringAPI = RecurringAPI;
exports.default = RecurringAPI;
//# sourceMappingURL=recurringApi.js.map