"use strict";
/*
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2020 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class Resource {
    constructor(service, endpoint) {
        this.service = service;
        this.endpoint = endpoint;
    }
    request(json, requestOptions) {
        const clientInterface = this.service.client.httpClient;
        const config = this.service.client.config;
        return clientInterface.request(this.endpoint, json, config, this.service.apiKeyRequired, requestOptions);
    }
}
exports.default = Resource;
//# sourceMappingURL=resource.js.map