import Service from "../../service";
import Client from "../../client";
import { IRequest } from "../../typings/requestOptions";
import { AuthenticationSessionRequest } from "../../typings/sessionAuthentication/models";
import { AuthenticationSessionResponse } from "../../typings/sessionAuthentication/models";
/**
 * API handler for SessionAuthenticationApi
 */
export declare class SessionAuthenticationApi extends Service {
    private readonly API_BASEPATH;
    private baseUrl;
    constructor(client: Client);
    /**
    * @summary Create a session token
    * @param authenticationSessionRequest {@link AuthenticationSessionRequest }
    * @param requestOptions {@link IRequest.Options }
    * @return {@link AuthenticationSessionResponse }
    */
    createAuthenticationSession(authenticationSessionRequest: AuthenticationSessionRequest, requestOptions?: IRequest.Options): Promise<AuthenticationSessionResponse>;
}
