import { Purchase } from "./purchase";
export declare class RelayedAuthenticationRequest {
    /**
    * The environment from which the webhook originated. Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * The unique identifier of the challenge.
    */
    "id": string;
    /**
    * The unique identifier of the [payment instrument](https://docs.adyen.com/api-explorer/balanceplatform/latest/get/paymentInstruments/_id_) used for the purchase.
    */
    "paymentInstrumentId": string;
    "purchase": Purchase;
    /**
    * URL for auto-switching to the threeDS Requestor App. If not present, the threeDS Requestor App doesn\'t support auto-switching.
    */
    "threeDSRequestorAppURL"?: string;
    /**
    * When the event was queued.
    */
    "timestamp"?: Date;
    /**
    * Type of notification.
    */
    "type": RelayedAuthenticationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace RelayedAuthenticationRequest {
    enum TypeEnum {
        BalancePlatformAuthenticationRelayed = "balancePlatform.authentication.relayed"
    }
}
