export declare class AULocalAccountIdentification {
    /**
    * The bank account number, without separators or whitespace.
    */
    "accountNumber": string;
    /**
    * The 6-digit [Bank State Branch (BSB) code](https://en.wikipedia.org/wiki/Bank_state_branch), without separators or whitespace.
    */
    "bsbCode": string;
    /**
    * **auLocal**
    */
    "type": AULocalAccountIdentification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace AULocalAccountIdentification {
    enum TypeEnum {
        AuLocal = "auLocal"
    }
}
