export declare class AddressRequirement {
    /**
    * Specifies the required address related fields for a particular route.
    */
    "description"?: string;
    /**
    * List of address fields.
    */
    "requiredAddressFields"?: Array<AddressRequirement.RequiredAddressFieldsEnum>;
    /**
    * **addressRequirement**
    */
    "type": AddressRequirement.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace AddressRequirement {
    enum RequiredAddressFieldsEnum {
        City = "city",
        Country = "country",
        Line1 = "line1",
        PostalCode = "postalCode",
        StateOrProvince = "stateOrProvince"
    }
    enum TypeEnum {
        AddressRequirement = "addressRequirement"
    }
}
