export declare class BRLocalAccountIdentification {
    /**
    * The bank account number, without separators or whitespace.
    */
    "accountNumber": string;
    /**
    * The 3-digit bank code, with leading zeros.
    */
    "bankCode": string;
    /**
    * The bank account branch number, without separators or whitespace.
    */
    "branchNumber": string;
    /**
    * The 8-digit ISPB, with leading zeros.
    */
    "ispb"?: string;
    /**
    * **brLocal**
    */
    "type": BRLocalAccountIdentification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace BRLocalAccountIdentification {
    enum TypeEnum {
        BrLocal = "brLocal"
    }
}
