import { Condition } from "./condition";
import { TargetUpdate } from "./targetUpdate";
export declare class BalanceWebhookSettingInfoUpdate {
    /**
    * The array of conditions a balance change must meet for Adyen to send the webhook.
    */
    "conditions"?: Array<Condition>;
    /**
    * The three-character [ISO currency code](https://docs.adyen.com/development-resources/currency-codes) of the balance.
    */
    "currency"?: string;
    /**
    * The status of the webhook setting. Possible values:  * **active**: You receive a balance webhook if any of the conditions in this setting are met. * **inactive**: You do not receive a balance webhook even if the conditions in this settings are met.
    */
    "status"?: BalanceWebhookSettingInfoUpdate.StatusEnum;
    "target"?: TargetUpdate | null;
    /**
    * The type of the webhook you are configuring. Set to **balance**.
    */
    "type"?: BalanceWebhookSettingInfoUpdate.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace BalanceWebhookSettingInfoUpdate {
    enum StatusEnum {
        Active = "active",
        Inactive = "inactive"
    }
    enum TypeEnum {
        Balance = "balance"
    }
}
