import { Authentication } from "./authentication";
import { CardConfiguration } from "./cardConfiguration";
import { DeliveryContact } from "./deliveryContact";
export declare class CardInfo {
    "authentication"?: Authentication | null;
    /**
    * The brand of the physical or the virtual card. Possible values: **visa**, **mc**.
    */
    "brand": string;
    /**
    * The brand variant of the physical or the virtual card. For example, **visadebit** or **mcprepaid**. >Reach out to your Adyen contact to get the values relevant for your integration.
    */
    "brandVariant": string;
    /**
    * The name of the cardholder.  Maximum length: 26 characters.
    */
    "cardholderName": string;
    "configuration"?: CardConfiguration | null;
    "deliveryContact"?: DeliveryContact | null;
    /**
    * The form factor of the card. Possible values: **virtual**, **physical**.
    */
    "formFactor": CardInfo.FormFactorEnum;
    /**
    * The 3DS configuration of the physical or the virtual card. Possible values: **fullySupported**, **secureCorporate**. > Reach out to your Adyen contact to get the values relevant for your integration.
    */
    "threeDSecure"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace CardInfo {
    enum FormFactorEnum {
        Physical = "physical",
        Unknown = "unknown",
        Virtual = "virtual"
    }
}
