export declare class EntryModesRestriction {
    /**
    * Defines how the condition must be evaluated.
    */
    "operation": string;
    /**
    * List of point-of-sale entry modes.  Possible values: **barcode**, **chip**, **cof**, **contactless**, **magstripe**, **manual**, **ocr**, **server**.
    */
    "value"?: Array<EntryModesRestriction.ValueEnum>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace EntryModesRestriction {
    enum ValueEnum {
        Barcode = "barcode",
        Chip = "chip",
        Cof = "cof",
        Contactless = "contactless",
        Magstripe = "magstripe",
        Manual = "manual",
        Ocr = "ocr",
        Server = "server",
        Unknown = "unknown"
    }
}
