import { DeviceInfo } from "./deviceInfo";
import { NetworkTokenRequestor } from "./networkTokenRequestor";
export declare class NetworkToken {
    /**
    * The card brand variant of the payment instrument associated with the network token. For example, **mc_prepaid_mrw**.
    */
    "brandVariant"?: string;
    /**
    * Date and time when the network token was created, in [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) extended format. For example, **2020-12-18T10:15:30+01:00**..
    */
    "creationDate"?: Date;
    "device"?: DeviceInfo | null;
    /**
    * The unique identifier of the network token.
    */
    "id"?: string;
    /**
    * The unique identifier of the payment instrument to which this network token belongs to.
    */
    "paymentInstrumentId"?: string;
    /**
    * The status of the network token. Possible values: **active**, **inactive**, **suspended**, **closed**.
    */
    "status"?: NetworkToken.StatusEnum;
    /**
    * The last four digits of the network token `id`.
    */
    "tokenLastFour"?: string;
    "tokenRequestor"?: NetworkTokenRequestor | null;
    /**
    * The type of network token. For example, **wallet**, **cof**.
    */
    "type"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace NetworkToken {
    enum StatusEnum {
        Active = "active",
        Inactive = "inactive",
        Suspended = "suspended",
        Closed = "closed"
    }
}
