export declare class ProcessingTypesRestriction {
    /**
    * Defines how the condition must be evaluated.
    */
    "operation": string;
    /**
    * List of processing types.  Possible values: **atmWithdraw**, **balanceInquiry**, **ecommerce**, **moto**, **pos**, **recurring**, **token**.
    */
    "value"?: Array<ProcessingTypesRestriction.ValueEnum>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace ProcessingTypesRestriction {
    enum ValueEnum {
        AtmWithdraw = "atmWithdraw",
        BalanceInquiry = "balanceInquiry",
        Ecommerce = "ecommerce",
        Moto = "moto",
        Pos = "pos",
        Recurring = "recurring",
        Token = "token",
        Unknown = "unknown"
    }
}
