export declare class TargetUpdate {
    /**
    * The unique identifier of the `target.type`. This can be the ID of your:  * balance platform * account holder * account holder\'s balance account
    */
    "id"?: string;
    /**
    * The resource for which you want to receive notifications. Possible values:  * **balancePlatform**: receive notifications about balance changes in your entire balance platform.  * **accountHolder**: receive notifications about balance changes of a specific user.  * **balanceAccount**: receive notifications about balance changes in a specific balance account.
    */
    "type"?: TargetUpdate.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace TargetUpdate {
    enum TypeEnum {
        BalanceAccount = "balanceAccount",
        AccountHolder = "accountHolder",
        BalancePlatform = "balancePlatform"
    }
}
