import { ActiveNetworkTokensRestriction } from "./activeNetworkTokensRestriction";
import { BrandVariantsRestriction } from "./brandVariantsRestriction";
import { CounterpartyBankRestriction } from "./counterpartyBankRestriction";
import { CounterpartyTypesRestriction } from "./counterpartyTypesRestriction";
import { CountriesRestriction } from "./countriesRestriction";
import { DayOfWeekRestriction } from "./dayOfWeekRestriction";
import { DifferentCurrenciesRestriction } from "./differentCurrenciesRestriction";
import { EntryModesRestriction } from "./entryModesRestriction";
import { InternationalTransactionRestriction } from "./internationalTransactionRestriction";
import { MatchingTransactionsRestriction } from "./matchingTransactionsRestriction";
import { MatchingValuesRestriction } from "./matchingValuesRestriction";
import { MccsRestriction } from "./mccsRestriction";
import { MerchantNamesRestriction } from "./merchantNamesRestriction";
import { MerchantsRestriction } from "./merchantsRestriction";
import { ProcessingTypesRestriction } from "./processingTypesRestriction";
import { RiskScoresRestriction } from "./riskScoresRestriction";
import { SameAmountRestriction } from "./sameAmountRestriction";
import { SameCounterpartyRestriction } from "./sameCounterpartyRestriction";
import { SourceAccountTypesRestriction } from "./sourceAccountTypesRestriction";
import { TimeOfDayRestriction } from "./timeOfDayRestriction";
import { TokenRequestorsRestriction } from "./tokenRequestorsRestriction";
import { TotalAmountRestriction } from "./totalAmountRestriction";
import { WalletProviderAccountScoreRestriction } from "./walletProviderAccountScoreRestriction";
import { WalletProviderDeviceScore } from "./walletProviderDeviceScore";
import { WalletProviderDeviceType } from "./walletProviderDeviceType";
export declare class TransactionRuleRestrictions {
    "activeNetworkTokens"?: ActiveNetworkTokensRestriction | null;
    "brandVariants"?: BrandVariantsRestriction | null;
    "counterpartyBank"?: CounterpartyBankRestriction | null;
    "counterpartyTypes"?: CounterpartyTypesRestriction | null;
    "countries"?: CountriesRestriction | null;
    "dayOfWeek"?: DayOfWeekRestriction | null;
    "differentCurrencies"?: DifferentCurrenciesRestriction | null;
    "entryModes"?: EntryModesRestriction | null;
    "internationalTransaction"?: InternationalTransactionRestriction | null;
    "matchingTransactions"?: MatchingTransactionsRestriction | null;
    "matchingValues"?: MatchingValuesRestriction | null;
    "mccs"?: MccsRestriction | null;
    "merchantNames"?: MerchantNamesRestriction | null;
    "merchants"?: MerchantsRestriction | null;
    "processingTypes"?: ProcessingTypesRestriction | null;
    "riskScores"?: RiskScoresRestriction | null;
    "sameAmountRestriction"?: SameAmountRestriction | null;
    "sameCounterpartyRestriction"?: SameCounterpartyRestriction | null;
    "sourceAccountTypes"?: SourceAccountTypesRestriction | null;
    "timeOfDay"?: TimeOfDayRestriction | null;
    "tokenRequestors"?: TokenRequestorsRestriction | null;
    "totalAmount"?: TotalAmountRestriction | null;
    "walletProviderAccountScore"?: WalletProviderAccountScoreRestriction | null;
    "walletProviderDeviceScore"?: WalletProviderDeviceScore | null;
    "walletProviderDeviceType"?: WalletProviderDeviceType | null;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
