import { AddressRequirement } from "./addressRequirement";
import { AmountMinMaxRequirement } from "./amountMinMaxRequirement";
import { AmountNonZeroDecimalsRequirement } from "./amountNonZeroDecimalsRequirement";
import { BankAccountIdentificationTypeRequirement } from "./bankAccountIdentificationTypeRequirement";
import { IbanAccountIdentificationRequirement } from "./ibanAccountIdentificationRequirement";
import { PaymentInstrumentRequirement } from "./paymentInstrumentRequirement";
import { USInstantPayoutAddressRequirement } from "./uSInstantPayoutAddressRequirement";
import { USInternationalAchAddressRequirement } from "./uSInternationalAchAddressRequirement";
/**
 * @type TransferRouteRequirementsInner
 * Type
 * @export
 */
export type TransferRouteRequirementsInner = AddressRequirement | AmountMinMaxRequirement | AmountNonZeroDecimalsRequirement | BankAccountIdentificationTypeRequirement | IbanAccountIdentificationRequirement | PaymentInstrumentRequirement | USInstantPayoutAddressRequirement | USInternationalAchAddressRequirement;
/**
* @type TransferRouteRequirementsInnerClass
* @export
*/
export declare class TransferRouteRequirementsInnerClass {
    static readonly discriminator: string;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
}
