export declare class UKLocalAccountIdentification {
    /**
    * The 8-digit bank account number, without separators or whitespace.
    */
    "accountNumber": string;
    /**
    * The 6-digit [sort code](https://en.wikipedia.org/wiki/Sort_code), without separators or whitespace.
    */
    "sortCode": string;
    /**
    * **ukLocal**
    */
    "type": UKLocalAccountIdentification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace UKLocalAccountIdentification {
    enum TypeEnum {
        UkLocal = "ukLocal"
    }
}
