import { balanceWebhooks } from "..";
/**
 * Union type for all supported webhook requests.
 * Allows generic handling of configuration-related webhook events.
 */
export type GenericWebhook = balanceWebhooks.BalanceAccountBalanceNotificationRequest;
/**
 * Handler for processing BalanceWebhooks.
 *
 * This class provides functionality to deserialize the payload of BalanceWebhooks events.
 */
export declare class BalanceWebhooksHandler {
    private readonly payload;
    constructor(jsonPayload: string);
    /**
     * This method checks the type of the webhook payload and returns the appropriate deserialized object.
     *
     * @returns A deserialized object of type GenericWebhook.
     * @throws Error if the type is not recognized.
     */
    getGenericWebhook(): GenericWebhook;
    /**
     * Deserialize the webhook payload into a BalanceAccountBalanceNotificationRequest
     *
     * @returns Deserialized BalanceAccountBalanceNotificationRequest object.
     */
    getBalanceAccountBalanceNotificationRequest(): balanceWebhooks.BalanceAccountBalanceNotificationRequest;
}
