export declare class AdditionalDataRiskStandalone {
    /**
    * Shopper\'s country of residence in the form of ISO standard 3166 2-character country codes.
    */
    "PayPal_CountryCode"?: string;
    /**
    * Shopper\'s email.
    */
    "PayPal_EmailId"?: string;
    /**
    * Shopper\'s first name.
    */
    "PayPal_FirstName"?: string;
    /**
    * Shopper\'s last name.
    */
    "PayPal_LastName"?: string;
    /**
    * Unique PayPal Customer Account identification number. Character length and limitations: 13 single-byte alphanumeric characters.
    */
    "PayPal_PayerId"?: string;
    /**
    * Shopper\'s phone number.
    */
    "PayPal_Phone"?: string;
    /**
    * Allowed values: * **Eligible** — Merchant is protected by PayPal\'s Seller Protection Policy for Unauthorized Payments and Item Not Received.  * **PartiallyEligible** — Merchant is protected by PayPal\'s Seller Protection Policy for Item Not Received.  * **Ineligible** — Merchant is not protected under the Seller Protection Policy.
    */
    "PayPal_ProtectionEligibility"?: string;
    /**
    * Unique transaction ID of the payment.
    */
    "PayPal_TransactionId"?: string;
    /**
    * Raw AVS result received from the acquirer, where available. Example: D
    */
    "avsResultRaw"?: string;
    /**
    * The Bank Identification Number of a credit card, which is the first six digits of a card number. Required for [tokenized card request](https://docs.adyen.com/online-payments/tokenization).
    */
    "bin"?: string;
    /**
    * Raw CVC result received from the acquirer, where available. Example: 1
    */
    "cvcResultRaw"?: string;
    /**
    * Unique identifier or token for the shopper\'s card details.
    */
    "riskToken"?: string;
    /**
    * A Boolean value indicating whether 3DS authentication was completed on this payment. Example: true
    */
    "threeDAuthenticated"?: string;
    /**
    * A Boolean value indicating whether 3DS was offered for this payment. Example: true
    */
    "threeDOffered"?: string;
    /**
    * Required for PayPal payments only. The only supported value is: **paypal**.
    */
    "tokenDataType"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
