export declare class BacsDirectDebitDetails {
    /**
    * The bank account number (without separators).
    */
    "bankAccountNumber"?: string;
    /**
    * The bank routing number of the account.
    */
    "bankLocationId"?: string;
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The name of the bank account holder.
    */
    "holderName"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    *
    * @deprecated since Adyen Checkout API v49
    * Use `storedPaymentMethodId` instead.
    */
    "recurringDetailReference"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    */
    "storedPaymentMethodId"?: string;
    /**
    * The unique identifier of your user\'s verified transfer instrument, which you can use to top up their balance accounts.
    */
    "transferInstrumentId"?: string;
    /**
    * **directdebit_GB**
    */
    "type"?: BacsDirectDebitDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace BacsDirectDebitDetails {
    enum TypeEnum {
        DirectdebitGb = "directdebit_GB"
    }
}
