export declare class CheckoutDelegatedAuthenticationAction {
    /**
    * A token needed to authorise a payment.
    */
    "authorisationToken"?: string;
    /**
    * Encoded payment data.
    */
    "paymentData"?: string;
    /**
    * Specifies the payment method.
    */
    "paymentMethodType"?: string;
    /**
    * A token to pass to the delegatedAuthentication component.
    */
    "token"?: string;
    /**
    * **delegatedAuthentication**
    */
    "type": CheckoutDelegatedAuthenticationAction.TypeEnum;
    /**
    * Specifies the URL to redirect to.
    */
    "url"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace CheckoutDelegatedAuthenticationAction {
    enum TypeEnum {
        DelegatedAuthentication = "delegatedAuthentication"
    }
}
