import { Amount } from "./amount";
export declare class CreateOrderRequest {
    "amount": Amount;
    /**
    * The date when the order should expire. If not provided, the default expiry duration is 1 day.  [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format: YYYY-MM-DDThh:mm:ss+TZD, for example, **2020-12-18T10:15:30+01:00**.
    */
    "expiresAt"?: string;
    /**
    * The merchant account identifier, with which you want to process the order.
    */
    "merchantAccount": string;
    /**
    * A custom reference identifying the order.
    */
    "reference": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
