export declare class DeviceRenderOptions {
    /**
    * Supported SDK interface types. Allowed values: * native * html * both
    */
    "sdkInterface"?: DeviceRenderOptions.SdkInterfaceEnum;
    /**
    * UI types supported for displaying specific challenges. Allowed values: * text * singleSelect * outOfBand * otherHtml * multiSelect
    */
    "sdkUiType"?: Array<DeviceRenderOptions.SdkUiTypeEnum>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace DeviceRenderOptions {
    enum SdkInterfaceEnum {
        Native = "native",
        Html = "html",
        Both = "both"
    }
    enum SdkUiTypeEnum {
        MultiSelect = "multiSelect",
        OtherHtml = "otherHtml",
        OutOfBand = "outOfBand",
        SingleSelect = "singleSelect",
        Text = "text"
    }
}
