export declare class DragonpayDetails {
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The Dragonpay issuer value of the shopper\'s selected bank. Set this to an **id** of a Dragonpay issuer to preselect it.
    */
    "issuer": string;
    /**
    * The shopper’s email address.
    */
    "shopperEmail"?: string;
    /**
    * **dragonpay**
    */
    "type": DragonpayDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace DragonpayDetails {
    enum TypeEnum {
        DragonpayEbanking = "dragonpay_ebanking",
        DragonpayOtcBanking = "dragonpay_otc_banking",
        DragonpayOtcNonBanking = "dragonpay_otc_non_banking",
        DragonpayOtcPhilippines = "dragonpay_otc_philippines"
    }
}
