export declare class EcontextVoucherDetails {
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The shopper\'s first name.
    */
    "firstName": string;
    /**
    * The shopper\'s last name.
    */
    "lastName": string;
    /**
    * The shopper\'s email.
    */
    "shopperEmail": string;
    /**
    * The shopper\'s contact number. It must have an international number format, for example **+31 20 779 1846**. Formats like **+31 (0)20 779 1846** or **0031 20 779 1846** are not accepted.
    */
    "telephoneNumber": string;
    /**
    * **econtextvoucher**
    */
    "type": EcontextVoucherDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace EcontextVoucherDetails {
    enum TypeEnum {
        EcontextSevenEleven = "econtext_seven_eleven",
        EcontextOnline = "econtext_online",
        Econtext = "econtext",
        EcontextStores = "econtext_stores",
        EcontextAtm = "econtext_atm"
    }
}
