export declare class GenericIssuerPaymentMethodDetails {
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The issuer id of the shopper\'s selected bank.
    */
    "issuer": string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    *
    * @deprecated since Adyen Checkout API v49
    * Use `storedPaymentMethodId` instead.
    */
    "recurringDetailReference"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    */
    "storedPaymentMethodId"?: string;
    /**
    * **genericissuer**
    */
    "type": GenericIssuerPaymentMethodDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace GenericIssuerPaymentMethodDetails {
    enum TypeEnum {
        OnlineBankingPl = "onlineBanking_PL",
        Eps = "eps",
        OnlineBankingSk = "onlineBanking_SK",
        OnlineBankingCz = "onlineBanking_CZ"
    }
}
