export declare class LineItem {
    /**
    * Item amount excluding the tax, in minor units.
    */
    "amountExcludingTax"?: number;
    /**
    * Item amount including the tax, in minor units.
    */
    "amountIncludingTax"?: number;
    /**
    * Brand of the item.
    */
    "brand"?: string;
    /**
    * Color of the item.
    */
    "color"?: string;
    /**
    * Description of the line item.
    */
    "description"?: string;
    /**
    * ID of the line item.
    */
    "id"?: string;
    /**
    * Link to the picture of the purchased item.
    */
    "imageUrl"?: string;
    /**
    * Item category, used by the payment methods PayPal and Ratepay.
    */
    "itemCategory"?: string;
    /**
    * Manufacturer of the item.
    */
    "manufacturer"?: string;
    /**
    * Marketplace seller id.
    */
    "marketplaceSellerId"?: string;
    /**
    * Link to the purchased item.
    */
    "productUrl"?: string;
    /**
    * Number of items.
    */
    "quantity"?: number;
    /**
    * Email associated with the given product in the basket (usually in electronic gift cards).
    */
    "receiverEmail"?: string;
    /**
    * Size of the item.
    */
    "size"?: string;
    /**
    * Stock keeping unit.
    */
    "sku"?: string;
    /**
    * Tax amount, in minor units.
    */
    "taxAmount"?: number;
    /**
    * Tax percentage, in minor units.
    */
    "taxPercentage"?: number;
    /**
    * Universal Product Code.
    */
    "upc"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
