export declare class OpenInvoiceDetails {
    /**
    * The address where to send the invoice.
    */
    "billingAddress"?: string;
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The address where the goods should be delivered.
    */
    "deliveryAddress"?: string;
    /**
    * Shopper name, date of birth, phone number, and email address.
    */
    "personalDetails"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    *
    * @deprecated since Adyen Checkout API v49
    * Use `storedPaymentMethodId` instead.
    */
    "recurringDetailReference"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    */
    "storedPaymentMethodId"?: string;
    /**
    * **openinvoice**
    */
    "type"?: OpenInvoiceDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace OpenInvoiceDetails {
    enum TypeEnum {
        Openinvoice = "openinvoice",
        AfterpayDirectdebit = "afterpay_directdebit",
        AtomePos = "atome_pos"
    }
}
