export declare class PayPalDetails {
    /**
    * The checkout attempt identifier.
    */
    "checkoutAttemptId"?: string;
    /**
    * The unique ID associated with the order.
    */
    "orderID"?: string;
    /**
    * IMMEDIATE_PAYMENT_REQUIRED or UNRESTRICTED
    */
    "payeePreferred"?: string;
    /**
    * The unique ID associated with the payer.
    */
    "payerID"?: string;
    /**
    * PAYPAL or PAYPAL_CREDIT
    */
    "payerSelected"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    *
    * @deprecated since Adyen Checkout API v49
    * Use `storedPaymentMethodId` instead.
    */
    "recurringDetailReference"?: string;
    /**
    * This is the `recurringDetailReference` returned in the response when you created the token.
    */
    "storedPaymentMethodId"?: string;
    /**
    * The type of flow to initiate.
    */
    "subtype"?: PayPalDetails.SubtypeEnum;
    /**
    * **paypal**
    */
    "type": PayPalDetails.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace PayPalDetails {
    enum SubtypeEnum {
        Express = "express",
        Redirect = "redirect",
        Sdk = "sdk"
    }
    enum TypeEnum {
        Paypal = "paypal"
    }
}
