export declare class PaymentCompletionDetails {
    /**
    * A payment session identifier returned by the card issuer.
    */
    "MD"?: string;
    /**
    * (3D) Payment Authentication Request data for the card issuer.
    */
    "PaReq"?: string;
    /**
    * (3D) Payment Authentication Response data by the card issuer.
    */
    "PaRes"?: string;
    "authorization_token"?: string;
    /**
    * PayPal-generated token for recurring payments.
    */
    "billingToken"?: string;
    /**
    * The SMS verification code collected from the shopper.
    */
    "cupsecureplus_smscode"?: string;
    /**
    * PayPal-generated third party access token.
    */
    "facilitatorAccessToken"?: string;
    /**
    * A random number sent to the mobile phone number of the shopper to verify the payment.
    */
    "oneTimePasscode"?: string;
    /**
    * PayPal-assigned ID for the order.
    */
    "orderID"?: string;
    /**
    * PayPal-assigned ID for the payer (shopper).
    */
    "payerID"?: string;
    /**
    * Payload appended to the `returnURL` as a result of the redirect.
    */
    "payload"?: string;
    /**
    * PayPal-generated ID for the payment.
    */
    "paymentID"?: string;
    /**
    * Value passed from the WeChat MiniProgram `wx.requestPayment` **complete** callback. Possible values: any value starting with `requestPayment:`.
    */
    "paymentStatus"?: string;
    /**
    * The result of the redirect as appended to the `returnURL`.
    */
    "redirectResult"?: string;
    /**
    * Value you received from the WeChat Pay SDK.
    */
    "resultCode"?: string;
    /**
    * The query string as appended to the `returnURL` when using direct issuer links .
    */
    "returnUrlQueryString"?: string;
    /**
    * Base64-encoded string returned by the Component after the challenge flow. It contains the following parameters: `transStatus`, `authorisationToken`.
    */
    "threeDSResult"?: string;
    /**
    * Base64-encoded string returned by the Component after the challenge flow. It contains the following parameter: `transStatus`.
    */
    "threeds2_challengeResult"?: string;
    /**
    * Base64-encoded string returned by the Component after the challenge flow. It contains the following parameter: `threeDSCompInd`.
    */
    "threeds2_fingerprint"?: string;
    /**
    * PayPalv2-generated token for recurring payments.
    */
    "vaultToken"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
