import { ApplicationInfo } from "./applicationInfo";
export declare class StandalonePaymentCancelRequest {
    "applicationInfo"?: ApplicationInfo | null;
    /**
    * The merchant account that is used to process the payment.
    */
    "merchantAccount": string;
    /**
    * The [`reference`](https://docs.adyen.com/api-explorer/#/CheckoutService/latest/post/payments__reqParam_reference) of the payment that you want to cancel.
    */
    "paymentReference": string;
    /**
    * Your reference for the cancel request. Maximum length: 80 characters.
    */
    "reference"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
