import { PaymentMethodToStore } from "./paymentMethodToStore";
export declare class StoredPaymentMethodRequest {
    /**
    * The merchant account identifier, with which you want to process the transaction.
    */
    "merchantAccount": string;
    "paymentMethod": PaymentMethodToStore;
    /**
    * Defines a recurring payment type. Required when creating a token to store payment details. Allowed values: * `Subscription` – A transaction for a fixed or variable amount, which follows a fixed schedule. * `CardOnFile` – With a card-on-file (CoF) transaction, card details are stored to enable one-click or omnichannel journeys, or simply to streamline the checkout process. Any subscription not following a fixed schedule is also considered a card-on-file transaction. * `UnscheduledCardOnFile` – An unscheduled card-on-file (UCoF) transaction is a transaction that occurs on a non-fixed schedule and/or have variable amounts. For example, automatic top-ups when a cardholder\'s balance drops below a certain amount.
    */
    "recurringProcessingModel": StoredPaymentMethodRequest.RecurringProcessingModelEnum;
    /**
    * The shopper\'s email address. We recommend that you provide this data, as it is used in velocity fraud checks.
    */
    "shopperEmail"?: string;
    /**
    * The IP address of a shopper.
    */
    "shopperIP"?: string;
    /**
    * A unique identifier for the shopper (for example, user ID or account ID).
    */
    "shopperReference": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace StoredPaymentMethodRequest {
    enum RecurringProcessingModelEnum {
        CardOnFile = "CardOnFile",
        Subscription = "Subscription",
        UnscheduledCardOnFile = "UnscheduledCardOnFile"
    }
}
