import { AccountHolderNotificationData } from "./accountHolderNotificationData";
export declare class AccountHolderNotificationRequest {
    "data": AccountHolderNotificationData;
    /**
    * The environment from which the webhook originated.  Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * When the event was queued.
    */
    "timestamp"?: Date;
    /**
    * Type of webhook.
    */
    "type": AccountHolderNotificationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace AccountHolderNotificationRequest {
    enum TypeEnum {
        BalancePlatformAccountHolderUpdated = "balancePlatform.accountHolder.updated",
        BalancePlatformAccountHolderCreated = "balancePlatform.accountHolder.created"
    }
}
