import { CardOrderItemDeliveryStatus } from "./cardOrderItemDeliveryStatus";
export declare class CardOrderItem {
    /**
    * The unique identifier of the balance platform.
    */
    "balancePlatform"?: string;
    "card"?: CardOrderItemDeliveryStatus | null;
    /**
    * The unique identifier of the card order item.
    */
    "cardOrderItemId"?: string;
    /**
    * The date and time when the event was triggered, in ISO 8601 extended format. For example, **2020-12-18T10:15:30+01:00**.
    */
    "creationDate"?: Date;
    /**
    * The ID of the resource.
    */
    "id"?: string;
    /**
    * The unique identifier of the payment instrument related to the card order item.
    */
    "paymentInstrumentId"?: string;
    "pin"?: CardOrderItemDeliveryStatus | null;
    /**
    * The shipping method used to deliver the card or the PIN.
    */
    "shippingMethod"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
