import { NetworkTokenNotificationDataV2 } from "./networkTokenNotificationDataV2";
export declare class NetworkTokenNotificationRequest {
    "data": NetworkTokenNotificationDataV2;
    /**
    * The environment from which the webhook originated.  Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * When the event was queued.
    */
    "timestamp"?: Date;
    /**
    * The type of webhook.
    */
    "type": NetworkTokenNotificationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace NetworkTokenNotificationRequest {
    enum TypeEnum {
        BalancePlatformNetworkTokenCreated = "balancePlatform.networkToken.created",
        BalancePlatformNetworkTokenUpdated = "balancePlatform.networkToken.updated"
    }
}
