import { PaymentInstrumentNotificationData } from "./paymentInstrumentNotificationData";
export declare class PaymentNotificationRequest {
    "data": PaymentInstrumentNotificationData;
    /**
    * The environment from which the webhook originated.  Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * When the event was queued.
    */
    "timestamp"?: Date;
    /**
    * Type of webhook.
    */
    "type": PaymentNotificationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace PaymentNotificationRequest {
    enum TypeEnum {
        BalancePlatformPaymentInstrumentCreated = "balancePlatform.paymentInstrument.created",
        BalancePlatformPaymentInstrumentUpdated = "balancePlatform.paymentInstrument.updated"
    }
}
