export declare class VerificationDeadline {
    /**
    * The names of the capabilities to be disallowed.
    */
    "capabilities": Array<VerificationDeadline.CapabilitiesEnum>;
    /**
    * The unique identifiers of the bank account(s) that the deadline applies to
    */
    "entityIds"?: Array<string>;
    /**
    * The date that verification is due by before capabilities are disallowed.
    */
    "expiresAt": Date;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace VerificationDeadline {
    enum CapabilitiesEnum {
        AcceptExternalFunding = "acceptExternalFunding",
        AcceptPspFunding = "acceptPspFunding",
        AcceptTransactionInRestrictedCountries = "acceptTransactionInRestrictedCountries",
        AcceptTransactionInRestrictedCountriesCommercial = "acceptTransactionInRestrictedCountriesCommercial",
        AcceptTransactionInRestrictedCountriesConsumer = "acceptTransactionInRestrictedCountriesConsumer",
        AcceptTransactionInRestrictedIndustries = "acceptTransactionInRestrictedIndustries",
        AcceptTransactionInRestrictedIndustriesCommercial = "acceptTransactionInRestrictedIndustriesCommercial",
        AcceptTransactionInRestrictedIndustriesConsumer = "acceptTransactionInRestrictedIndustriesConsumer",
        Acquiring = "acquiring",
        AtmWithdrawal = "atmWithdrawal",
        AtmWithdrawalCommercial = "atmWithdrawalCommercial",
        AtmWithdrawalConsumer = "atmWithdrawalConsumer",
        AtmWithdrawalInRestrictedCountries = "atmWithdrawalInRestrictedCountries",
        AtmWithdrawalInRestrictedCountriesCommercial = "atmWithdrawalInRestrictedCountriesCommercial",
        AtmWithdrawalInRestrictedCountriesConsumer = "atmWithdrawalInRestrictedCountriesConsumer",
        AuthorisedPaymentInstrumentUser = "authorisedPaymentInstrumentUser",
        GetGrantOffers = "getGrantOffers",
        IssueBankAccount = "issueBankAccount",
        IssueCard = "issueCard",
        IssueCardCommercial = "issueCardCommercial",
        IssueCardConsumer = "issueCardConsumer",
        IssueChargeCard = "issueChargeCard",
        IssueChargeCardCommercial = "issueChargeCardCommercial",
        IssueCreditLimit = "issueCreditLimit",
        LocalAcceptance = "localAcceptance",
        Payout = "payout",
        PayoutToTransferInstrument = "payoutToTransferInstrument",
        Processing = "processing",
        ReceiveFromBalanceAccount = "receiveFromBalanceAccount",
        ReceiveFromPlatformPayments = "receiveFromPlatformPayments",
        ReceiveFromThirdParty = "receiveFromThirdParty",
        ReceiveFromTransferInstrument = "receiveFromTransferInstrument",
        ReceiveGrants = "receiveGrants",
        ReceivePayments = "receivePayments",
        SendToBalanceAccount = "sendToBalanceAccount",
        SendToThirdParty = "sendToThirdParty",
        SendToTransferInstrument = "sendToTransferInstrument",
        ThirdPartyFunding = "thirdPartyFunding",
        UseCard = "useCard",
        UseCardCommercial = "useCardCommercial",
        UseCardConsumer = "useCardConsumer",
        UseCardInRestrictedCountries = "useCardInRestrictedCountries",
        UseCardInRestrictedCountriesCommercial = "useCardInRestrictedCountriesCommercial",
        UseCardInRestrictedCountriesConsumer = "useCardInRestrictedCountriesConsumer",
        UseCardInRestrictedIndustries = "useCardInRestrictedIndustries",
        UseCardInRestrictedIndustriesCommercial = "useCardInRestrictedIndustriesCommercial",
        UseCardInRestrictedIndustriesConsumer = "useCardInRestrictedIndustriesConsumer",
        UseChargeCard = "useChargeCard",
        UseChargeCardCommercial = "useChargeCardCommercial",
        WithdrawFromAtm = "withdrawFromAtm",
        WithdrawFromAtmCommercial = "withdrawFromAtmCommercial",
        WithdrawFromAtmConsumer = "withdrawFromAtmConsumer",
        WithdrawFromAtmInRestrictedCountries = "withdrawFromAtmInRestrictedCountries",
        WithdrawFromAtmInRestrictedCountriesCommercial = "withdrawFromAtmInRestrictedCountriesCommercial",
        WithdrawFromAtmInRestrictedCountriesConsumer = "withdrawFromAtmInRestrictedCountriesConsumer"
    }
}
