import { BankAccountInfoAccountIdentification } from "./bankAccountInfoAccountIdentification";
export declare class BankAccountInfo {
    "accountIdentification"?: BankAccountInfoAccountIdentification | null;
    /**
    * The type of bank account.
    *
    * @deprecated since Legal Entity Management API v2
    */
    "accountType"?: string;
    /**
    * The name of the banking institution where the bank account is held.
    */
    "bankName"?: string;
    /**
    * The two-character [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code where the bank account is registered. For example, **NL**.
    */
    "countryCode"?: string;
    /**
    * Identifies if the bank account was created through [instant bank verification](https://docs.adyen.com/release-notes/platforms-and-financial-products#releaseNote=2023-05-08-hosted-onboarding).
    */
    "trustedSource"?: boolean;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
