import { SourceOfFunds } from "./sourceOfFunds";
import { WebData } from "./webData";
import { WebDataExemption } from "./webDataExemption";
export declare class BusinessLineInfoUpdate {
    /**
    * A code that represents the industry of your legal entity. For example, **4431A** for computer software stores.
    */
    "industryCode"?: string;
    /**
    * A list of channels where goods or services are sold.  Possible values: **pos**, **posMoto**, **eCommerce**, **ecomMoto**, **payByLink**.  Required only in combination with the `service` **paymentProcessing**.
    */
    "salesChannels"?: Array<string>;
    "sourceOfFunds"?: SourceOfFunds | null;
    /**
    * List of website URLs where your user\'s goods or services are sold. When this is required for a service but your user does not have an online presence, provide the reason in the `webDataExemption` object.
    */
    "webData"?: Array<WebData>;
    "webDataExemption"?: WebDataExemption | null;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
