export declare class CZLocalAccountIdentification {
    /**
    * The 2- to 16-digit bank account number (Číslo účtu) in the following format:  - The optional prefix (předčíslí).  - The required second part (základní část) which must be at least two non-zero digits.  Examples:  - **19-123457** (with prefix)  - **123457** (without prefix)  - **000019-0000123457** (with prefix, normalized)  - **000000-0000123457** (without prefix, normalized)
    */
    "accountNumber": string;
    /**
    * The 4-digit bank code (Kód banky), without separators or whitespace.
    */
    "bankCode": string;
    /**
    * **czLocal**
    */
    "type": CZLocalAccountIdentification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace CZLocalAccountIdentification {
    enum TypeEnum {
        CzLocal = "czLocal"
    }
}
