export declare class CalculatePciStatusRequest {
    /**
    * An array of additional sales channels to generate PCI questionnaires. Include the relevant sales channels if you need your user to sign PCI questionnaires. Not required if you [create stores](https://docs.adyen.com/platforms) and [add payment methods](https://docs.adyen.com/adyen-for-platforms-model) before you generate the questionnaires.  Possible values: *  **eCommerce** *  **pos** *  **ecomMoto** *  **posMoto**
    */
    "additionalSalesChannels"?: Array<CalculatePciStatusRequest.AdditionalSalesChannelsEnum>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace CalculatePciStatusRequest {
    enum AdditionalSalesChannelsEnum {
        ECommerce = "eCommerce",
        EcomMoto = "ecomMoto",
        Pos = "pos",
        PosMoto = "posMoto"
    }
}
