export declare class FinancialReport {
    /**
    * The annual turnover of the business.
    */
    "annualTurnover"?: string;
    /**
    * The balance sheet total of the business.
    */
    "balanceSheetTotal"?: string;
    /**
    * The currency used for the annual turnover, balance sheet total, and net assets.
    */
    "currencyOfFinancialData"?: string;
    /**
    * The date the financial data were provided, in YYYY-MM-DD format.
    */
    "dateOfFinancialData": string;
    /**
    * The number of employees of the business.
    */
    "employeeCount"?: string;
    /**
    * The net assets of the business.
    */
    "netAssets"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
