export declare class TaxReportingClassification {
    /**
    * The organization\'s business type.  Possible values: **other**, **listedPublicCompany**, **subsidiaryOfListedPublicCompany**, **governmentalOrganization**, **internationalOrganization**, **financialInstitution**.
    */
    "businessType"?: TaxReportingClassification.BusinessTypeEnum;
    /**
    * The Global Intermediary Identification Number (GIIN) required for FATCA. Only required if the organization is a US financial institution and the `businessType` is **financialInstitution**.
    */
    "financialInstitutionNumber"?: string;
    /**
    * The organization\'s main source of income. Only required if `businessType` is **other**.  Possible values: **businessOperation**, **realEstateSales**, **investmentInterestOrRoyalty**, **propertyRental**, **other**.
    */
    "mainSourceOfIncome"?: TaxReportingClassification.MainSourceOfIncomeEnum;
    /**
    * The tax reporting classification type.  Possible values: **nonFinancialNonReportable**, **financialNonReportable**, **nonFinancialActive**, **nonFinancialPassive**.
    */
    "type"?: TaxReportingClassification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace TaxReportingClassification {
    enum BusinessTypeEnum {
        Other = "other",
        ListedPublicCompany = "listedPublicCompany",
        SubsidiaryOfListedPublicCompany = "subsidiaryOfListedPublicCompany",
        GovernmentalOrganization = "governmentalOrganization",
        InternationalOrganization = "internationalOrganization",
        FinancialInstitution = "financialInstitution"
    }
    enum MainSourceOfIncomeEnum {
        BusinessOperation = "businessOperation",
        RealEstateSales = "realEstateSales",
        InvestmentInterestOrRoyalty = "investmentInterestOrRoyalty",
        PropertyRental = "propertyRental",
        Other = "other"
    }
    enum TypeEnum {
        NonFinancialNonReportable = "nonFinancialNonReportable",
        FinancialNonReportable = "financialNonReportable",
        NonFinancialActive = "nonFinancialActive",
        NonFinancialPassive = "nonFinancialPassive"
    }
}
