import { BankAccountInfo } from "./bankAccountInfo";
export declare class TransferInstrumentInfo {
    "bankAccount": BankAccountInfo;
    /**
    * The unique identifier of the [legal entity](https://docs.adyen.com/api-explorer/legalentity/latest/post/legalEntities#responses-200-id) that owns the transfer instrument.
    */
    "legalEntityId": string;
    /**
    * The type of transfer instrument.  Possible value: **bankAccount**.
    */
    "type": TransferInstrumentInfo.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace TransferInstrumentInfo {
    enum TypeEnum {
        BankAccount = "bankAccount",
        RecurringDetail = "recurringDetail"
    }
}
