import { RemediatingAction } from "./remediatingAction";
export declare class VerificationErrorRecursive {
    /**
    * Contains key-value pairs that specify the actions that the legal entity can do in your platform. The key is a capability required for your integration. For example, **issueCard** for Issuing.The value is an object containing the settings for the capability.
    */
    "capabilities"?: Array<VerificationErrorRecursive.CapabilitiesEnum>;
    /**
    * The general error code.
    */
    "code"?: string;
    /**
    * The general error message.
    */
    "message"?: string;
    /**
    * The type of error.  Possible values: *  **invalidInput** *  **dataMissing** *  **pendingStatus** *  **rejected** *  **dataReview**
    */
    "type"?: VerificationErrorRecursive.TypeEnum;
    /**
    * An object containing possible solutions to fix a verification error.
    */
    "remediatingActions"?: Array<RemediatingAction>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace VerificationErrorRecursive {
    enum CapabilitiesEnum {
        AcceptExternalFunding = "acceptExternalFunding",
        AcceptPspFunding = "acceptPspFunding",
        AcceptTransactionInRestrictedCountries = "acceptTransactionInRestrictedCountries",
        AcceptTransactionInRestrictedCountriesCommercial = "acceptTransactionInRestrictedCountriesCommercial",
        AcceptTransactionInRestrictedCountriesConsumer = "acceptTransactionInRestrictedCountriesConsumer",
        AcceptTransactionInRestrictedIndustries = "acceptTransactionInRestrictedIndustries",
        AcceptTransactionInRestrictedIndustriesCommercial = "acceptTransactionInRestrictedIndustriesCommercial",
        AcceptTransactionInRestrictedIndustriesConsumer = "acceptTransactionInRestrictedIndustriesConsumer",
        Acquiring = "acquiring",
        AtmWithdrawal = "atmWithdrawal",
        AtmWithdrawalCommercial = "atmWithdrawalCommercial",
        AtmWithdrawalConsumer = "atmWithdrawalConsumer",
        AtmWithdrawalInRestrictedCountries = "atmWithdrawalInRestrictedCountries",
        AtmWithdrawalInRestrictedCountriesCommercial = "atmWithdrawalInRestrictedCountriesCommercial",
        AtmWithdrawalInRestrictedCountriesConsumer = "atmWithdrawalInRestrictedCountriesConsumer",
        AuthorisedPaymentInstrumentUser = "authorisedPaymentInstrumentUser",
        GetGrantOffers = "getGrantOffers",
        IssueBankAccount = "issueBankAccount",
        IssueCard = "issueCard",
        IssueCardCommercial = "issueCardCommercial",
        IssueCardConsumer = "issueCardConsumer",
        IssueChargeCard = "issueChargeCard",
        IssueChargeCardCommercial = "issueChargeCardCommercial",
        IssueCreditLimit = "issueCreditLimit",
        LocalAcceptance = "localAcceptance",
        Payout = "payout",
        PayoutToTransferInstrument = "payoutToTransferInstrument",
        Processing = "processing",
        ReceiveFromBalanceAccount = "receiveFromBalanceAccount",
        ReceiveFromPlatformPayments = "receiveFromPlatformPayments",
        ReceiveFromThirdParty = "receiveFromThirdParty",
        ReceiveFromTransferInstrument = "receiveFromTransferInstrument",
        ReceiveGrants = "receiveGrants",
        ReceivePayments = "receivePayments",
        SendToBalanceAccount = "sendToBalanceAccount",
        SendToThirdParty = "sendToThirdParty",
        SendToTransferInstrument = "sendToTransferInstrument",
        ThirdPartyFunding = "thirdPartyFunding",
        UseCard = "useCard",
        UseCardCommercial = "useCardCommercial",
        UseCardConsumer = "useCardConsumer",
        UseCardInRestrictedCountries = "useCardInRestrictedCountries",
        UseCardInRestrictedCountriesCommercial = "useCardInRestrictedCountriesCommercial",
        UseCardInRestrictedCountriesConsumer = "useCardInRestrictedCountriesConsumer",
        UseCardInRestrictedIndustries = "useCardInRestrictedIndustries",
        UseCardInRestrictedIndustriesCommercial = "useCardInRestrictedIndustriesCommercial",
        UseCardInRestrictedIndustriesConsumer = "useCardInRestrictedIndustriesConsumer",
        UseChargeCard = "useChargeCard",
        UseChargeCardCommercial = "useChargeCardCommercial",
        WithdrawFromAtm = "withdrawFromAtm",
        WithdrawFromAtmCommercial = "withdrawFromAtmCommercial",
        WithdrawFromAtmConsumer = "withdrawFromAtmConsumer",
        WithdrawFromAtmInRestrictedCountries = "withdrawFromAtmInRestrictedCountries",
        WithdrawFromAtmInRestrictedCountriesCommercial = "withdrawFromAtmInRestrictedCountriesCommercial",
        WithdrawFromAtmInRestrictedCountriesConsumer = "withdrawFromAtmInRestrictedCountriesConsumer"
    }
    enum TypeEnum {
        DataMissing = "dataMissing",
        DataReview = "dataReview",
        InvalidInput = "invalidInput",
        PendingStatus = "pendingStatus",
        Rejected = "rejected"
    }
}
