export declare class AdditionalSettingsResponse {
    /**
    * Object containing list of event codes for which the notification will not be sent.
    */
    "excludeEventCodes"?: Array<string>;
    /**
    * Object containing list of event codes for which the notification will be sent.
    */
    "includeEventCodes"?: Array<string>;
    /**
    * Object containing boolean key-value pairs. The key can be any [standard webhook additional setting](https://docs.adyen.com/development-resources/webhooks/additional-settings), and the value indicates if the setting is enabled. For example, `captureDelayHours`: **true** means the standard notifications you get will contain the number of hours remaining until the payment will be captured.
    */
    "properties"?: {
        [key: string]: boolean;
    };
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
