import { CompanyLinks } from "./companyLinks";
import { DataCenter } from "./dataCenter";
export declare class Company {
    "_links"?: CompanyLinks | null;
    /**
    * List of available data centers.  Adyen has several data centers around the world.In the URL that you use for making API requests, we recommend you use the live URL prefix from the data center closest to your shoppers.
    */
    "dataCenters"?: Array<DataCenter>;
    /**
    * Your description for the company account, maximum 300 characters
    */
    "description"?: string;
    /**
    * The unique identifier of the company account.
    */
    "id"?: string;
    /**
    * The legal or trading name of the company.
    */
    "name"?: string;
    /**
    * Your reference to the account
    */
    "reference"?: string;
    /**
    * The status of the company account.  Possible values:  * **Active**: Users can log in. Processing and payout capabilities depend on the status of the merchant account. * **Inactive**: Users can log in. Payment processing and payouts are disabled. * **Closed**: The company account is closed and this cannot be reversed. Users cannot log in. Payment processing and payouts are disabled.
    */
    "status"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
