import { AllowedOrigin } from "./allowedOrigin";
import { ApiCredentialLinks } from "./apiCredentialLinks";
export declare class CompanyApiCredential {
    "_links"?: ApiCredentialLinks | null;
    /**
    * Indicates if the API credential is enabled. Must be set to **true** to use the credential in your integration.
    */
    "active": boolean;
    /**
    * List of IP addresses from which your client can make requests.  If the list is empty, we allow requests from any IP. If the list is not empty and we get a request from an IP which is not on the list, you get a security error.
    */
    "allowedIpAddresses": Array<string>;
    /**
    * List containing the [allowed origins](https://docs.adyen.com/development-resources/client-side-authentication#allowed-origins) linked to the API credential.
    */
    "allowedOrigins"?: Array<AllowedOrigin>;
    /**
    * List of merchant accounts that the API credential has explicit access to.   If the credential has access to a company, this implies access to all merchant accounts and no merchants for that company will be included.
    */
    "associatedMerchantAccounts"?: Array<string>;
    /**
    * Public key used for [client-side authentication](https://docs.adyen.com/development-resources/client-side-authentication). The client key is required for Drop-in and Components integrations.
    */
    "clientKey": string;
    /**
    * Description of the API credential.
    */
    "description"?: string;
    /**
    * Unique identifier of the API credential.
    */
    "id": string;
    /**
    * List of [roles](https://docs.adyen.com/development-resources/api-credentials#roles-1) for the API credential.
    */
    "roles": Array<string>;
    /**
    * The name of the [API credential](https://docs.adyen.com/development-resources/api-credentials), for example **ws@Company.TestCompany**.
    */
    "username": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
