import { EventUrl } from "./eventUrl";
export declare class Connectivity {
    /**
    * Indicates the status of the SIM card in the payment terminal. Can be updated and received only at terminal level, and only for models that support cellular connectivity.  Possible values: * **ACTIVATED**: the SIM card is activated. Cellular connectivity may still need to be enabled on the terminal itself, in the **Network** settings. * **INVENTORY**: the SIM card is not activated. The terminal can\'t use cellular connectivity.
    */
    "simcardStatus"?: Connectivity.SimcardStatusEnum;
    "terminalIPAddressURL"?: EventUrl | null;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace Connectivity {
    enum SimcardStatusEnum {
        Activated = "ACTIVATED",
        Inventory = "INVENTORY"
    }
}
