import { Links } from "./links";
import { Name } from "./name";
export declare class CreateCompanyUserResponse {
    "_links"?: Links | null;
    /**
    * The list of [account groups](https://docs.adyen.com/account/account-structure#account-groups) associated with this user.
    */
    "accountGroups"?: Array<string>;
    /**
    * Indicates whether this user is active.
    */
    "active"?: boolean;
    /**
    * Set of apps available to this user
    */
    "apps"?: Array<string>;
    /**
    * The list of [merchant accounts](https://docs.adyen.com/account/account-structure#merchant-accounts) associated with this user.
    */
    "associatedMerchantAccounts"?: Array<string>;
    /**
    * The email address of the user.
    */
    "email": string;
    /**
    * The unique identifier of the user.
    */
    "id": string;
    "name"?: Name | null;
    /**
    * The list of [roles](https://docs.adyen.com/account/user-roles) for this user.
    */
    "roles": Array<string>;
    /**
    * The [tz database name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) of the time zone of the user. For example, **Europe/Amsterdam**.
    */
    "timeZoneCode": string;
    /**
    * The username for this user.
    */
    "username": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
