export declare class CreateMerchantResponse {
    /**
    * The unique identifier of the [business line](https://docs.adyen.com/api-explorer/#/legalentity/latest/post/businessLines).
    */
    "businessLineId"?: string;
    /**
    * The unique identifier of the company account.
    */
    "companyId"?: string;
    /**
    * Your description for the merchant account, maximum 300 characters.
    */
    "description"?: string;
    /**
    * The unique identifier of the merchant account. If Adyen set up a template for the `reference`, then the `id` will have the same value as the `reference` that you sent in the request. Otherwise, the value is generated by Adyen.
    */
    "id"?: string;
    /**
    * The unique identifier of the [legal entity](https://docs.adyen.com/api-explorer/#/legalentity/latest/post/legalEntities).
    */
    "legalEntityId"?: string;
    /**
    * Partner pricing plan for the merchant, applicable for merchants under AfP managed company accounts.
    */
    "pricingPlan"?: string;
    /**
    * Your reference for the merchant account.
    */
    "reference"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
