import { Name } from "./name";
export declare class CreateMerchantUserRequest {
    /**
    * The list of [account groups](https://docs.adyen.com/account/account-structure#account-groups) associated with this user.
    */
    "accountGroups"?: Array<string>;
    /**
    * The email address of the user.
    */
    "email": string;
    /**
    * The requested login method for the user. To use SSO, you must already have SSO configured with Adyen before creating the user.  Possible values: **Username & account**, **Email**, or **SSO**
    */
    "loginMethod"?: string;
    "name": Name;
    /**
    * The list of [roles](https://docs.adyen.com/account/user-roles) for this user.
    */
    "roles"?: Array<string>;
    /**
    * The [tz database name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) of the time zone of the user. For example, **Europe/Amsterdam**.
    */
    "timeZoneCode"?: string;
    /**
    * The user\'s email address that will be their username. Must be the same as the one in the `email` field.
    */
    "username": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
