import { TransactionDescriptionInfo } from "./transactionDescriptionInfo";
export declare class StarInfo {
    /**
    * The type of transactions processed over this payment method.  Allowed values: - **pos** for in-person payments.  - **billpay** for subscription payments, both the initial payment and the later recurring payments. These transactions have `recurringProcessingModel` **Subscription**.  - **ecom** for all other card not present transactions. This includes non-recurring transactions and transactions with `recurringProcessingModel` **CardOnFile** or **UnscheduledCardOnFile**.
    */
    "processingType": StarInfo.ProcessingTypeEnum;
    "transactionDescription"?: TransactionDescriptionInfo | null;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace StarInfo {
    enum ProcessingTypeEnum {
        Billpay = "billpay",
        Ecom = "ecom",
        Pos = "pos"
    }
}
