import { OrderItem } from "./orderItem";
export declare class TerminalOrderRequest {
    /**
    * The identification of the billing entity to use for the order.    > When ordering products in Brazil, you do not need to include the `billingEntityId` in the request.
    */
    "billingEntityId"?: string;
    /**
    * The merchant-defined purchase order reference.
    */
    "customerOrderReference"?: string;
    /**
    * The products included in the order.
    */
    "items"?: Array<OrderItem>;
    /**
    * Type of order
    */
    "orderType"?: string;
    /**
    * The identification of the shipping location to use for the order.
    */
    "shippingLocationId"?: string;
    /**
    * The tax number of the billing entity.
    */
    "taxId"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
