export declare class UpdateMerchantApiCredentialRequest {
    /**
    * Indicates if the API credential is enabled.
    */
    "active"?: boolean;
    /**
    * The new list of [allowed origins](https://docs.adyen.com/development-resources/client-side-authentication#allowed-origins) for the API credential.
    */
    "allowedOrigins"?: Array<string>;
    /**
    * Description of the API credential.
    */
    "description"?: string;
    /**
    * List of [roles](https://docs.adyen.com/development-resources/api-credentials#roles-1) for the API credential. Only roles assigned to \'ws@Company.<CompanyName>\' can be assigned to other API credentials.
    */
    "roles"?: Array<string>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
