import { AccountUpdateNotificationData } from "./accountUpdateNotificationData";
export declare class MerchantUpdatedNotificationRequest {
    /**
    * Timestamp for when the webhook was created.
    */
    "createdAt": Date;
    "data": AccountUpdateNotificationData;
    /**
    * The environment from which the webhook originated.  Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * Type of notification.
    */
    "type": MerchantUpdatedNotificationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace MerchantUpdatedNotificationRequest {
    enum TypeEnum {
        MerchantUpdated = "merchant.updated"
    }
}
