export declare class TerminalSettingsData {
    /**
    * The unique identifier of the company account.
    */
    "companyId"?: string;
    /**
    * The unique identifier of the merchant account.
    */
    "merchantId"?: string;
    /**
    * The unique identifier of the store.
    */
    "storeId"?: string;
    /**
    * The unique identifier of the terminal.
    */
    "terminalId"?: string;
    /**
    * Indicates whether the terminal settings were updated using the Customer Area or the Management API.
    */
    "updateSource": TerminalSettingsData.UpdateSourceEnum;
    /**
    * The user that updated the terminal settings. Can be Adyen or your API credential username.
    */
    "user": string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace TerminalSettingsData {
    enum UpdateSourceEnum {
        CustomerArea = "Customer Area",
        ManagementApi = "Management Api"
    }
}
