import { negativeBalanceWarningWebhooks } from "..";
/**
 * Union type for all supported webhook requests.
 * Allows generic handling of configuration-related webhook events.
 */
export type GenericWebhook = negativeBalanceWarningWebhooks.NegativeBalanceCompensationWarningNotificationRequest;
/**
 * Handler for processing NegativeBalanceWarningWebhooks.
 *
 * This class provides functionality to deserialize the payload of NegativeBalanceWarningWebhooks events.
 */
export declare class NegativeBalanceWarningWebhooksHandler {
    private readonly payload;
    constructor(jsonPayload: string);
    /**
     * This method checks the type of the webhook payload and returns the appropriate deserialized object.
     *
     * @returns A deserialized object of type GenericWebhook.
     * @throws Error if the type is not recognized.
     */
    getGenericWebhook(): GenericWebhook;
    /**
     * Deserialize the webhook payload into a NegativeBalanceCompensationWarningNotificationRequest
     *
     * @returns Deserialized NegativeBalanceCompensationWarningNotificationRequest object.
     */
    getNegativeBalanceCompensationWarningNotificationRequest(): negativeBalanceWarningWebhooks.NegativeBalanceCompensationWarningNotificationRequest;
}
