/**
 * Notification API
 * Definition of Notification API Schema
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Amount } from './amount';
export declare class NotificationRequestItem {
    'additionalData'?: {
        [key: string]: string;
    };
    'amount': Amount;
    /**
    * Adyen\'s 16-character unique reference associated with the transaction/the request. This value is globally unique; quote it when communicating with us about this request.
    */
    'pspReference': string;
    /**
    * The type of event the notification item refers to. When eventCode returns AUTHORISATION, it does not necessarily mean that the payment authorisation request has been successfully processed. The authorisation is successful if success = true. If success = false, check the  the reason value for further information on the authorisation failure cause. This can occur, for example, if an error occurs or if the transaction is refused.
    */
    'eventCode': NotificationRequestItem.EventCodeEnum;
    /**
    * The time when the event was generated.
    */
    'eventDate': string;
    /**
    * The merchant account identifier used in the transaction the notification item refers to.
    */
    'merchantAccountCode': string;
    /**
    * This field holds a list of the modification operations supported by the transaction the notification item refers to. The available operations in the list give information on the follow-up actions concerning the payment. You may be requested to: Capture the payment (for example, if auto-capture is not set up), Cancel the payment (if the payment has not been captured yet), or Refund the payment (if the payment has already been captured).
    */
    'operations'?: Array<NotificationRequestItem.OperationsEnum>;
    /**
    *   A reference to uniquely identify the payment.This reference is used in all communication with you about the payment status.We recommend using a unique value per payment; however, it is not a requirement. If you need to provide multiple references for a transaction, you can enter them in this field. Separate each reference value with a hyphen character (\'-\'). This field has a length restriction: you can enter max. 80 characters.
    */
    'merchantReference': string;
    /**
    * If the notification item is about a payment authorisation, this field is not populated and is blank. If the notification item is about a modification, the originalReference value corresponds to the payment request assigned to the original payment.
    */
    'originalReference'?: string;
    /**
    * The payment method used in the transaction the notification item refers to.
    */
    'paymentMethod'?: string;
    /**
    * This field holds plain text. For more information, refer to the reason field values below.
    */
    'reason'?: string;
    /**
    * Informs about the outcome of the event ( eventCode ) the notification refers to. true: the event ( eventCode ) the notification refers to was executed successfully. false: the event was not executed successfully.
    */
    'success': NotificationRequestItem.SuccessEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace NotificationRequestItem {
    enum EventCodeEnum {
        Autorescue = "AUTORESCUE",
        Authorisation = "AUTHORISATION",
        AuthorisationAdjustment = "AUTHORISATION_ADJUSTMENT",
        CancelAutorescue = "CANCEL_AUTORESCUE",
        Cancellation = "CANCELLATION",
        CancelOrRefund = "CANCEL_OR_REFUND",
        Capture = "CAPTURE",
        CaptureFailed = "CAPTURE_FAILED",
        Chargeback = "CHARGEBACK",
        ChargebackReversed = "CHARGEBACK_REVERSED",
        DisputeDefensePeriodEnded = "DISPUTE_DEFENSE_PERIOD_ENDED",
        Donation = "DONATION",
        Expire = "EXPIRE",
        HandledExternally = "HANDLED_EXTERNALLY",
        InformationSupplied = "INFORMATION_SUPPLIED",
        IssuerComments = "ISSUER_COMMENTS",
        IssuerResponseTimeframeExpired = "ISSUER_RESPONSE_TIMEFRAME_EXPIRED",
        ManualReviewAccept = "MANUAL_REVIEW_ACCEPT",
        ManualReviewReject = "MANUAL_REVIEW_REJECT",
        NotificationOfChargeback = "NOTIFICATION_OF_CHARGEBACK",
        NotificationOfFraud = "NOTIFICATION_OF_FRAUD",
        OfferClosed = "OFFER_CLOSED",
        OrderClosed = "ORDER_CLOSED",
        OrderOpened = "ORDER_OPENED",
        PaidoutReversed = "PAIDOUT_REVERSED",
        Pending = "PENDING",
        PostponedRefund = "POSTPONED_REFUND",
        PrearbitrationLost = "PREARBITRATION_LOST",
        PrearbitrationWon = "PREARBITRATION_WON",
        ProcessRetry = "PROCESS_RETRY",
        PayoutDecline = "PAYOUT_DECLINE",
        PayoutExpire = "PAYOUT_EXPIRE",
        PayoutThirdparty = "PAYOUT_THIRDPARTY",
        RecurringContract = "RECURRING_CONTRACT",
        Refund = "REFUND",
        RefundFailed = "REFUND_FAILED",
        RefundedReversed = "REFUNDED_REVERSED",
        RefundWithData = "REFUND_WITH_DATA",
        ReportAvailable = "REPORT_AVAILABLE",
        RequestForInformation = "REQUEST_FOR_INFORMATION",
        SecondChargeback = "SECOND_CHARGEBACK",
        TechnicalCancel = "TECHNICAL_CANCEL",
        VoidPendingRefund = "VOID_PENDING_REFUND"
    }
    enum OperationsEnum {
        Cancel = "CANCEL",
        Capture = "CAPTURE",
        Refund = "REFUND"
    }
    enum SuccessEnum {
        True = "true",
        False = "false"
    }
}
