export declare class AdditionalDataLodging {
    /**
    * A code that corresponds to the category of lodging charges for the payment. Possible values: * 1: Lodging * 2: No show reservation * 3: Advanced deposit
    */
    "lodging_SpecialProgramCode"?: string;
    /**
    * The arrival date. * Date format: **yyyyMmDd**. For example, for 2023 April 22, **20230422**.
    */
    "lodging_checkInDate"?: string;
    /**
    * The departure date. * Date format: **yyyyMmDd**. For example, for 2023 April 22, **20230422**.
    */
    "lodging_checkOutDate"?: string;
    /**
    * The toll-free phone number for the lodging. * Format: numeric * Max length: 17 characters. * For US and CA numbers must be 10 characters in length * Must not start with a space * Must not contain any special characters such as + or - * Must not be all zeros.
    */
    "lodging_customerServiceTollFreeNumber"?: string;
    /**
    * Identifies that the facility complies with the Hotel and Motel Fire Safety Act of 1990. Must be \'Y\' or \'N\'. * Format: alphabetic * Max length: 1 character
    */
    "lodging_fireSafetyActIndicator"?: string;
    /**
    * The folio cash advances, in [minor units](https://docs.adyen.com/development-resources/currency-codes). * Format: numeric * Max length: 12 characters
    */
    "lodging_folioCashAdvances"?: string;
    /**
    * The card acceptor’s internal invoice or billing ID reference number. * Max length: 25 characters * Must not start with a space * Must not contain any special characters * Must not be all zeros.
    */
    "lodging_folioNumber"?: string;
    /**
    * Any charges for food and beverages associated with the booking, in [minor units](https://docs.adyen.com/development-resources/currency-codes). * Format: numeric * Max length: 12 characters
    */
    "lodging_foodBeverageCharges"?: string;
    /**
    * Indicates if the customer didn\'t check in for their booking.  Possible values:  * **Y**: the customer didn\'t check in  * **N**: the customer checked in
    */
    "lodging_noShowIndicator"?: string;
    /**
    * The prepaid expenses for the booking. * Format: numeric * Max length: 12 characters
    */
    "lodging_prepaidExpenses"?: string;
    /**
    * The lodging property location\'s phone number. * Format: numeric * Min length: 10 characters * Max length: 17 characters * For US and CA numbers must be 10 characters in length * Must not start with a space * Must not contain any special characters such as + or - * Must not be all zeros.
    */
    "lodging_propertyPhoneNumber"?: string;
    /**
    * The total number of nights the room is booked for. * Format: numeric * Must be a number between 0 and 99 * Max length: 4 characters
    */
    "lodging_room1_numberOfNights"?: string;
    /**
    * The rate for the room, in [minor units](https://docs.adyen.com/development-resources/currency-codes). * Format: numeric * Max length: 12 characters * Must not be a negative number
    */
    "lodging_room1_rate"?: string;
    /**
    * The total room tax amount, in [minor units](https://docs.adyen.com/development-resources/currency-codes). * Format: numeric * Max length: 12 characters * Must not be a negative number
    */
    "lodging_totalRoomTax"?: string;
    /**
    * The total tax amount, in [minor units](https://docs.adyen.com/development-resources/currency-codes). * Format: numeric * Max length: 12 characters * Must not be a negative number
    */
    "lodging_totalTax"?: string;
    /**
    * The number of nights. This should be included in the auth message. * Format: numeric * Max length: 4 characters
    */
    "travelEntertainmentAuthData_duration"?: string;
    /**
    * Indicates what market-specific dataset will be submitted. Must be \'H\' for Hotel. This should be included in the auth message.  * Format: alphanumeric * Max length: 1 character
    */
    "travelEntertainmentAuthData_market"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
