import { Amount } from "./amount";
import { PlatformChargebackLogic } from "./platformChargebackLogic";
export declare class DonationRequest {
    /**
    * The Adyen account name of the charity.
    */
    "donationAccount": string;
    /**
    * The merchant account that is used to process the payment.
    */
    "merchantAccount": string;
    "modificationAmount": Amount;
    /**
    * The original pspReference of the payment to modify. This reference is returned in: * authorisation response * authorisation notification
    */
    "originalReference"?: string;
    "platformChargebackLogic"?: PlatformChargebackLogic | null;
    /**
    * Your reference for the payment modification. This reference is visible in Customer Area and in reports. Maximum length: 80 characters.
    */
    "reference"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
