export declare class SecureRemoteCommerceCheckoutData {
    /**
    * The Secure Remote Commerce checkout payload to process the payment with.
    */
    "checkoutPayload"?: string;
    /**
    * This is the unique identifier generated by SRC system to track and link SRC messages. Available within the present checkout session (e.g. received in an earlier API response during the present session).
    */
    "correlationId"?: string;
    /**
    * The [card verification code](https://docs.adyen.com/get-started-with-adyen/payment-glossary/#card-security-code-cvc-cvv-cid).
    */
    "cvc"?: string;
    /**
    * A unique identifier that represents the token associated with a card enrolled. Required for scheme \'mc\'.
    */
    "digitalCardId"?: string;
    /**
    * The Secure Remote Commerce scheme.
    */
    "scheme"?: SecureRemoteCommerceCheckoutData.SchemeEnum;
    /**
    * A unique identifier that represents the token associated with a card enrolled. Required for scheme \'visa\'.
    */
    "tokenReference"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace SecureRemoteCommerceCheckoutData {
    enum SchemeEnum {
        Mc = "mc",
        Visa = "visa"
    }
}
