export declare class ThreeDS1Result {
    /**
    * The cardholder authentication value (base64 encoded).
    */
    "cavv"?: string;
    /**
    * The CAVV algorithm used.
    */
    "cavvAlgorithm"?: string;
    /**
    * 3D Secure Electronic Commerce Indicator (ECI).
    */
    "eci"?: string;
    /**
    * The authentication response from the ACS.
    */
    "threeDAuthenticatedResponse"?: string;
    /**
    * Whether 3D Secure was offered or not.
    */
    "threeDOfferedResponse"?: string;
    /**
    * A unique transaction identifier generated by the MPI on behalf of the merchant to identify the 3D Secure transaction, in `Base64` encoding.
    */
    "xid"?: string;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
