export declare class UpdatePayoutScheduleRequest {
    /**
    * Direction on how to handle any payouts that have already been scheduled. Permitted values: * `CLOSE` will close the existing batch of payouts. * `UPDATE` will reschedule the existing batch to the new schedule. * `NOTHING` (**default**) will allow the payout to proceed.
    */
    'action'?: UpdatePayoutScheduleRequest.ActionEnum;
    /**
    * The reason for the payout schedule update. > This field is required when the `schedule` parameter is set to `HOLD`.
    */
    'reason'?: string;
    /**
    * The payout schedule to which the account is to be updated. Permitted values: `DAILY`, `DAILY_US`, `DAILY_EU`, `DAILY_AU`, `DAILY_SG`, `WEEKLY`, `WEEKLY_ON_TUE_FRI_MIDNIGHT`, `BIWEEKLY_ON_1ST_AND_15TH_AT_MIDNIGHT`, `MONTHLY`, `HOLD`. `HOLD` will prevent scheduled payouts from happening but will still allow manual payouts to occur.
    */
    'schedule': UpdatePayoutScheduleRequest.ScheduleEnum;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace UpdatePayoutScheduleRequest {
    enum ActionEnum {
        Close = "CLOSE",
        Nothing = "NOTHING",
        Update = "UPDATE"
    }
    enum ScheduleEnum {
        BiweeklyOn1StAnd15ThAtMidnight = "BIWEEKLY_ON_1ST_AND_15TH_AT_MIDNIGHT",
        Daily = "DAILY",
        DailyAu = "DAILY_AU",
        DailyEu = "DAILY_EU",
        DailySg = "DAILY_SG",
        DailyUs = "DAILY_US",
        Hold = "HOLD",
        Monthly = "MONTHLY",
        Weekly = "WEEKLY",
        WeeklyMonToFriAu = "WEEKLY_MON_TO_FRI_AU",
        WeeklyMonToFriEu = "WEEKLY_MON_TO_FRI_EU",
        WeeklyMonToFriUs = "WEEKLY_MON_TO_FRI_US",
        WeeklyOnTueFriMidnight = "WEEKLY_ON_TUE_FRI_MIDNIGHT",
        WeeklySunToThuAu = "WEEKLY_SUN_TO_THU_AU",
        WeeklySunToThuUs = "WEEKLY_SUN_TO_THU_US"
    }
}
