export declare class TestNotificationConfigurationRequest {
    /**
    * The event types to test.  If left blank, then all of the configured event types will be tested. >Permitted values: `ACCOUNT_HOLDER_CREATED`, `ACCOUNT_CREATED`, `ACCOUNT_UPDATED`, `ACCOUNT_HOLDER_UPDATED`, `ACCOUNT_HOLDER_STATUS_CHANGE`, `ACCOUNT_HOLDER_STORE_STATUS_CHANGE` `ACCOUNT_HOLDER_VERIFICATION`, `ACCOUNT_HOLDER_LIMIT_REACHED`, `ACCOUNT_HOLDER_PAYOUT`, `PAYMENT_FAILURE`, `SCHEDULED_REFUNDS`, `REPORT_AVAILABLE`, `TRANSFER_FUNDS`, `BENEFICIARY_SETUP`, `COMPENSATE_NEGATIVE_BALANCE`.
    */
    'eventTypes'?: Array<TestNotificationConfigurationRequest.EventTypesEnum>;
    /**
    * The ID of the notification subscription configuration to be tested.
    */
    'notificationId': number;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace TestNotificationConfigurationRequest {
    enum EventTypesEnum {
        AccountClosed = "ACCOUNT_CLOSED",
        AccountCreated = "ACCOUNT_CREATED",
        AccountFundsBelowThreshold = "ACCOUNT_FUNDS_BELOW_THRESHOLD",
        AccountHolderCreated = "ACCOUNT_HOLDER_CREATED",
        AccountHolderLimitReached = "ACCOUNT_HOLDER_LIMIT_REACHED",
        AccountHolderMigrated = "ACCOUNT_HOLDER_MIGRATED",
        AccountHolderPayout = "ACCOUNT_HOLDER_PAYOUT",
        AccountHolderStatusChange = "ACCOUNT_HOLDER_STATUS_CHANGE",
        AccountHolderStoreStatusChange = "ACCOUNT_HOLDER_STORE_STATUS_CHANGE",
        AccountHolderUpcomingDeadline = "ACCOUNT_HOLDER_UPCOMING_DEADLINE",
        AccountHolderUpdated = "ACCOUNT_HOLDER_UPDATED",
        AccountHolderVerification = "ACCOUNT_HOLDER_VERIFICATION",
        AccountUpdated = "ACCOUNT_UPDATED",
        BeneficiarySetup = "BENEFICIARY_SETUP",
        CompensateNegativeBalance = "COMPENSATE_NEGATIVE_BALANCE",
        DirectDebitInitiated = "DIRECT_DEBIT_INITIATED",
        FundsMigrated = "FUNDS_MIGRATED",
        PaymentFailure = "PAYMENT_FAILURE",
        PendingCredit = "PENDING_CREDIT",
        RefundFundsTransfer = "REFUND_FUNDS_TRANSFER",
        ReportAvailable = "REPORT_AVAILABLE",
        ScheduledRefunds = "SCHEDULED_REFUNDS",
        ScoreSignalTriggered = "SCORE_SIGNAL_TRIGGERED",
        TransferFunds = "TRANSFER_FUNDS",
        TransferNotPaidoutTransfers = "TRANSFER_NOT_PAIDOUT_TRANSFERS"
    }
}
