/**
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2021 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Adyen for Platforms: Notifications
 * The Notification API sends notifications to the endpoints specified in a given subscription. Subscriptions are managed through the Notification Configuration API. The API specifications listed here detail the format of each notification.  For more information, refer to our [documentation](https://docs.adyen.com/platforms/notifications).
 *
 * The version of the OpenAPI document: 6
 * Contact: developer-experience@adyen.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AccountEvent } from './accountEvent';
import { AccountPayoutState } from './accountPayoutState';
import { AccountProcessingState } from './accountProcessingState';
export declare class AccountHolderStatus {
    /**
    * A list of events scheduled for the account holder.
    */
    'events'?: Array<AccountEvent>;
    'payoutState'?: AccountPayoutState;
    'processingState'?: AccountProcessingState;
    /**
    * The status of the account holder. >Permitted values: `Active`, `Inactive`, `Suspended`, `Closed`.
    */
    'status': AccountHolderStatus.StatusEnum;
    /**
    * The reason why the status was assigned to the account holder.
    */
    'statusReason'?: string;
}
export declare namespace AccountHolderStatus {
    enum StatusEnum {
        Active,
        Closed,
        Inactive,
        Suspended
    }
}
