/**
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2021 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Adyen for Platforms: Notifications
 * The Notification API sends notifications to the endpoints specified in a given subscription. Subscriptions are managed through the Notification Configuration API. The API specifications listed here detail the format of each notification.  For more information, refer to our [documentation](https://docs.adyen.com/platforms/notifications).
 *
 * The version of the OpenAPI document: 6
 * Contact: developer-experience@adyen.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { KYCCheckStatusData } from './kYCCheckStatusData';
export declare class AccountHolderVerificationNotificationContent {
    /**
    * The code of the account holder.
    */
    'accountHolderCode': string;
    'kycCheckStatusData'?: KYCCheckStatusData;
    /**
    * The unique ID of the legal arrangement that has been verified.
    */
    'legalArrangementCode'?: string;
    /**
    * The unique ID of the legal arrangement entity that has been verified.
    */
    'legalArrangementEntityCode'?: string;
    /**
    * The unique code of the payout method that has been verified.
    */
    'payoutMethodCode'?: string;
    /**
    * The code of the shareholder that has been verified.
    */
    'shareholderCode'?: string;
    /**
    * The code of the signatory that has been verified.
    */
    'signatoryCode'?: string;
}
