/**
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2021 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Adyen for Platforms: Notifications
 * The Notification API sends notifications to the endpoints specified in a given subscription. Subscriptions are managed through the Notification Configuration API. The API specifications listed here detail the format of each notification.  For more information, refer to our [documentation](https://docs.adyen.com/platforms/notifications).
 *
 * The version of the OpenAPI document: 6
 * Contact: developer-experience@adyen.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { ErrorFieldType } from './errorFieldType';
export declare class BeneficiarySetupNotificationContent {
    /**
    * The code of the beneficiary account.
    */
    'destinationAccountCode': string;
    /**
    * The code of the beneficiary Account Holder.
    */
    'destinationAccountHolderCode': string;
    /**
    * A listing of the invalid fields which have caused the Setup Beneficiary request to fail. If this is empty, the Setup Beneficiary request has succeeded.
    */
    'invalidFields'?: Array<ErrorFieldType>;
    /**
    * The reference provided by the merchant.
    */
    'merchantReference'?: string;
    /**
    * The code of the benefactor account.
    */
    'sourceAccountCode': string;
    /**
    * The code of the benefactor Account Holder.
    */
    'sourceAccountHolderCode': string;
    /**
    * The date on which the beneficiary was set up and funds transferred from benefactor to beneficiary.
    */
    'transferDate': Date;
}
