/**
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2021 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Adyen for Platforms: Notifications
 * The Notification API sends notifications to the endpoints specified in a given subscription. Subscriptions are managed through the Notification Configuration API. The API specifications listed here detail the format of each notification.  For more information, refer to our [documentation](https://docs.adyen.com/platforms/notifications).
 *
 * The version of the OpenAPI document: 6
 * Contact: developer-experience@adyen.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { ShareholderContact } from './shareholderContact';
import { SignatoryContact } from './signatoryContact';
import { UltimateParentCompany } from './ultimateParentCompany';
export declare class BusinessDetails {
    /**
    * The registered name of the company (if it differs from the legal name of the company).
    */
    'doingBusinessAs'?: string;
    /**
    * The legal name of the company.
    */
    'legalBusinessName'?: string;
    /**
    * Information about the parent public company. Required if the account holder is 100% owned by a publicly listed company.
    */
    'listedUltimateParentCompany'?: Array<UltimateParentCompany>;
    /**
    * The registration number of the company.
    */
    'registrationNumber'?: string;
    /**
    * Array containing information about individuals associated with the account holder either through ownership or control. For details about how you can identify them, refer to [Identity check](https://docs.adyen.com/platforms/verification-checks/identity-check).
    */
    'shareholders'?: Array<ShareholderContact>;
    /**
    * Signatories associated with the company. Each array entry should represent one signatory.
    */
    'signatories'?: Array<SignatoryContact>;
    /**
    * Market Identifier Code (MIC).
    */
    'stockExchange'?: string;
    /**
    * International Securities Identification Number (ISIN).
    */
    'stockNumber'?: string;
    /**
    * Stock Ticker symbol.
    */
    'stockTicker'?: string;
    /**
    * The tax ID of the company.
    */
    'taxId'?: string;
}
