/**
 *                       ######
 *                       ######
 * ############    ####( ######  #####. ######  ############   ############
 * #############  #####( ######  #####. ######  #############  #############
 *        ######  #####( ######  #####. ######  #####  ######  #####  ######
 * ###### ######  #####( ######  #####. ######  #####  #####   #####  ######
 * ###### ######  #####( ######  #####. ######  #####          #####  ######
 * #############  #############  #############  #############  #####  ######
 *  ############   ############  #############   ############  #####  ######
 *                                      ######
 *                               #############
 *                               ############
 * Adyen NodeJS API Library
 * Copyright (c) 2021 Adyen B.V.
 * This file is open source and available under the MIT license.
 * See the LICENSE file for more info.
 *
 * Adyen for Platforms: Notifications
 * The Notification API sends notifications to the endpoints specified in a given subscription. Subscriptions are managed through the Notification Configuration API. The API specifications listed here detail the format of each notification.  For more information, refer to our [documentation](https://docs.adyen.com/platforms/notifications).
 *
 * The version of the OpenAPI document: 6
 * Contact: developer-experience@adyen.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
export declare class FieldType {
    /**
    * The full name of the property.
    */
    'field'?: string;
    /**
    * The type of the field.
    */
    'fieldName'?: FieldType.FieldNameEnum;
    /**
    * The code of the shareholder that the field belongs to. If empty, the field belongs to an account holder.
    */
    'shareholderCode'?: string;
}
export declare namespace FieldType {
    enum FieldNameEnum {
        AccountCode,
        AccountHolderCode,
        AccountHolderDetails,
        AccountNumber,
        AccountStateType,
        AccountStatus,
        AccountType,
        Address,
        BalanceAccount,
        BalanceAccountActive,
        BalanceAccountCode,
        BalanceAccountId,
        BankAccount,
        BankAccountCode,
        BankAccountName,
        BankAccountUuid,
        BankBicSwift,
        BankCity,
        BankCode,
        BankName,
        BankStatement,
        BranchCode,
        BusinessContact,
        CardToken,
        CheckCode,
        City,
        CompanyRegistration,
        ConstitutionalDocument,
        Country,
        CountryCode,
        Currency,
        CurrencyCode,
        DateOfBirth,
        Description,
        DestinationAccountCode,
        Document,
        DocumentExpirationDate,
        DocumentIssuerCountry,
        DocumentIssuerState,
        DocumentName,
        DocumentNumber,
        DocumentType,
        DoingBusinessAs,
        DrivingLicence,
        DrivingLicenceBack,
        DrivingLicense,
        Email,
        FirstName,
        FormType,
        FullPhoneNumber,
        Gender,
        HopWebserviceUser,
        HouseNumberOrName,
        Iban,
        IdCard,
        IdCardBack,
        IdCardFront,
        IdNumber,
        IdentityDocument,
        IndividualDetails,
        JobTitle,
        LastName,
        LastReviewDate,
        LegalArrangement,
        LegalArrangementCode,
        LegalArrangementEntity,
        LegalArrangementEntityCode,
        LegalArrangementLegalForm,
        LegalArrangementMember,
        LegalArrangementMembers,
        LegalArrangementName,
        LegalArrangementReference,
        LegalArrangementRegistrationNumber,
        LegalArrangementTaxNumber,
        LegalArrangementType,
        LegalBusinessName,
        LegalEntity,
        LegalEntityType,
        MerchantAccount,
        MerchantCategoryCode,
        MerchantReference,
        MicroDeposit,
        Name,
        Nationality,
        OriginalReference,
        OwnerCity,
        OwnerCountryCode,
        OwnerHouseNumberOrName,
        OwnerName,
        OwnerPostalCode,
        OwnerState,
        OwnerStreet,
        Passport,
        PassportNumber,
        PayoutMethodCode,
        PayoutSchedule,
        PciSelfAssessment,
        PersonalData,
        PhoneCountryCode,
        PhoneNumber,
        PostalCode,
        PrimaryCurrency,
        Reason,
        RegistrationNumber,
        ReturnUrl,
        Schedule,
        Shareholder,
        ShareholderCode,
        ShareholderCodeAndSignatoryCode,
        ShareholderCodeOrSignatoryCode,
        ShareholderType,
        ShopperInteraction,
        Signatory,
        SignatoryCode,
        SocialSecurityNumber,
        SourceAccountCode,
        SplitAccount,
        SplitConfigurationUuid,
        SplitCurrency,
        SplitValue,
        Splits,
        StateOrProvince,
        Status,
        StockExchange,
        StockNumber,
        StockTicker,
        Store,
        StoreDetail,
        StoreName,
        StoreReference,
        Street,
        TaxId,
        Tier,
        TierNumber,
        TransferCode,
        UltimateParentCompany,
        UltimateParentCompanyAddressDetails,
        UltimateParentCompanyAddressDetailsCountry,
        UltimateParentCompanyBusinessDetails,
        UltimateParentCompanyBusinessDetailsLegalBusinessName,
        UltimateParentCompanyBusinessDetailsRegistrationNumber,
        UltimateParentCompanyCode,
        UltimateParentCompanyStockExchange,
        UltimateParentCompanyStockNumber,
        UltimateParentCompanyStockNumberOrStockTicker,
        UltimateParentCompanyStockTicker,
        Unknown,
        Value,
        VerificationType,
        VirtualAccount,
        VisaNumber,
        WebAddress,
        Year
    }
}
