import { TransferData } from "./transferData";
export declare class TransferNotificationRequest {
    "data": TransferData;
    /**
    * The environment from which the webhook originated.  Possible values: **test**, **live**.
    */
    "environment": string;
    /**
    * When the event was queued.
    */
    "timestamp"?: Date;
    /**
    * The type of webhook.
    */
    "type"?: TransferNotificationRequest.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace TransferNotificationRequest {
    enum TypeEnum {
        BalancePlatformTransferCreated = "balancePlatform.transfer.created",
        BalancePlatformTransferUpdated = "balancePlatform.transfer.updated"
    }
}
