export declare class USLocalAccountIdentification {
    /**
    * The bank account number, without separators or whitespace.
    */
    "accountNumber": string;
    /**
    * The bank account type.  Possible values: **checking** or **savings**. Defaults to **checking**.
    */
    "accountType"?: USLocalAccountIdentification.AccountTypeEnum;
    /**
    * The 9-digit [routing number](https://en.wikipedia.org/wiki/ABA_routing_transit_number), without separators or whitespace.
    */
    "routingNumber": string;
    /**
    * **usLocal**
    */
    "type": USLocalAccountIdentification.TypeEnum;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
export declare namespace USLocalAccountIdentification {
    enum AccountTypeEnum {
        Checking = "checking",
        Savings = "savings"
    }
    enum TypeEnum {
        UsLocal = "usLocal"
    }
}
